<?php include "header.php"; ?>
<title>AI-Trading | <?= SITE_NAME; ?></title>
<main class="py-5 mt-5" id="content">
    <div class="container pt-5">
        <div class="card border-1 border">
            <div class="card-header py-3">
                <h5 class="fw-bold text-uppercase text-center">AI TRADING</h5>
            </div>
            <div class="card-body">
                <!-- <video autoplay="" muted="" loop="" playsinline="">
                    <source src="https://cdn.capitalise.ai/static/videos/section_01.mp4" type="video/mp4">
                </video> -->
                <div class="text-center mb-3">
                    <h4 class="fw-bold my-3">Activate our AI trading BOT below</h4>
                    <img src="../../assets/images/ai-trading.gif" class="img-fluid rounded-2" />
                </div>
                <div class="row">
                    <div class="col-lg-12 col-md-12">
                        <div class="card border border-1">
                            <div class="card-header">
                                <h5 class="text-center">AI Trading Bot <?= $aiTrading == 1 ? '<span class="fas fa-check-circle text-success"></span>' : ''; ?></h5>
                            </div>
                            <div class="card-body">
                                <div class="text-center border-bottom">
                                    <h4 class="display-6 fw-bold mb-2"><?= $aiTrading == 1 ? 'Active' : 'Inactive'; ?></h4>
                                </div>

                                <div class="text-start pt-3">
                                    <p class="mb-2"><span class="fas fa-check text-success"></span> Automated Trade Placement</p>
                                    <p class="mb-2"><span class="fas fa-check text-success"></span> Risk Control</p>
                                    <p class="mb-2"><span class="fas fa-check text-success"></span> Profitable Trades</p>
                                    <p class="mb-2"><span class="fas fa-check text-success"></span> Expert DCA Analysis</p>
                                    <p class="mb-2"><span class="fas fa-check text-success"></span> Proper Money Management</p>
                                    <p class="mb-2"><span class="fas fa-check text-success"></span> Timed your entry & exit</p>
                                    <p class="mb-3"><span class="fas fa-check text-success"></span> 24/7 Experts support</p>
                                </div>
                                <div class="my-1" align="center">
                                    <button type="button" onclick="selectPlan();" class="btn btn-md <?= $aiTrading == 0 ? 'seablue-gradient' : 'youtube-gradient'; ?>"><?= $aiTrading == 0 ? 'Activate' : 'De-activate'; ?></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</main>
<?php include "footer.php"; ?>
<script>
    $(document).ready(() => {
        $("#error").fadeOut();
    });

    const selectPlan = () => {
        var request = "ai-trading";
        $.ajax({
            url: '../../ops/users',
            type: 'POST',
            data: {
                request,
            },
            beforeSend: function() {
                swal({
                    title: "info",
                    text: "Please wait",
                    icon: "info",
                });

            },
            success: function(data) {
                var response = $.parseJSON(data);
                if (response.status == "success") {
                    swal({
                        title: "Success",
                        text: response.message,
                        icon: "success",
                    });
                    setTimeout(() => {
                        location.reload()
                    }, 2000);
                } else {
                    swal({
                        title: "Info",
                        text: response.message,
                        icon: "info",
                    });
                }
            },
            cache: false,
            error: function() {
                swal({
                    title: "Error",
                    text: "An error has occured!!",
                    icon: "error",
                });
            }
        });
    }
</script>