<?php
include 'header.php';
$price = 0;
$market = "";
$symbol = "";
if (isset($_GET) && isset($_GET['symbol'])) {
    extract($_GET);
    $price = 0.00; 
} else {
    $price = 0;
    $market = "stock";
    $symbol = "AAPL";
}
?>
<title><?= ucfirst($symbol); ?></title>
<main class="mt-5 mb-5 pt-5" id="content">
    <div class="container pt-5">
        <div class="row mb-3">
            <div class="col-lg-8 col-md-12 mb-3">
                <div class="d-flex justify-content-between align-items-center mb-3">
                    <div class="me-3 w-100">
                        <select class="select" name="market" id="market">
                            <option value="stock">Stock</option>
                            <option value="crypto">Crypto</option>
                            <option value="forex">Forex</option>
                            <option value="index">Indicies</option>
                        </select>
                    </div>
                    <div class="me-3 w-100">
                        <select class="select" name="items" id="items" data-mdb-filter="true">
                            <option disabled selected>--Click to select--</option>
                        </select>
                    </div>
                </div>
                <div class="d-flex justify-content-start align-items-center mb-3">
                    <div class="me-3">
                        <span class="text-center fw-bold">Price: $<span id="ddPrice"></span></span></span>
                    </div>
                    <div class="ms-1">
                        <?php if (!contains($symbol, $favs)) { ?>
                            <span style="cursor: pointer;" onclick="addfav('<?= $symbol ?>')" class="text-center fw-bold">Add Favorite: <span id="favorite" class="far fa-star"></span></span>
                        <?php } else { ?>
                            <span style="cursor: pointer;" onclick="removefav('<?= $symbol ?>')" class="text-center fw-bold">Remove Favorite: <span id="favorite" class="fas fa-star"></span></span>
                        <?php } ?>
                    </div>
                </div>
                <div>
                    <!-- TradingView Widget BEGIN -->
                    <div class="tradingview-widget-container">
                        <div id="tradingview_d43f4"></div>
                        <div class="tradingview-widget-copyright"><a href="./" rel="noopener nofollow" target="_blank"><span class="blue-text"></span></a></div>
                    </div>
                    <!-- TradingView Widget END -->
                </div>
            </div>
            <div class="col-lg-4 col-md-12">
                <div class="card border border-1 mb-3">
                    <div class="card-body">
                        <h4 class="fw-bold">Place Trade</h4>
                        <form>
                            <div class="form-outline mb-0 mt-3">
                                <input type="text" id="assetName" value="<?= ucfirst($symbol); ?>" readonly class="form-control" placeholder="Asset" name="assetName">
                                <label class="form-label" for="amount">Asset</label>
                            </div>
                            <div class="d-flex justify-content-between align-items-center">
                                <small>Price $<span id="dPrice"></span></small>
                                <small>Balance <?= $symbol; ?><span class="fw-bold"><?= number_format($totalbal, 2); ?></span></small>
                            </div>
                            <div class="form-outline my-3">
                                <input type="number" min="10" id="amount" class="form-control" placeholder="Amount ()" name="amount">
                                <label class="form-label" for="amount">Amount</label>
                            </div>
                            <div class="my-3">
                                <select class="select" id="time" name="time">
                                    <option disabled selected>--select time--</option>
                                    <option value="1 minute">1 minute</option>
                                    <option value="5 minutes">5 minutes</option>
                                    <option value="10 minutes">10 minutes</option>
                                    <option value="30 minutes">30 minutes</option>
                                    <option value="45 minutes">45 minutes</option>
                                    <option value="1 hour">1 hour</option>
                                    <option value="2 hours">2 hours</option>
                                    <option value="5 hours">5 hours</option>
                                    <option value="1 day">1 day</option>
                                    <option value="3 days">3 days</option>
                                    <option value="1 week">1 week</option>
                                    <option value="2 weeks">2 weeks</option>
                                    <option value="1 month">1 month</option>
                                    <option value="3 months">3 months</option>
                                    <option value="6 months">6 months</option>
                                    <option value="1 year">1 year</option>
                                </select>
                            </div>
                            <div>
                                <select class="select" id="leverage" name="leverage">
                                    <option disabled selected>--Leverage--</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <?php for ($i = 1; $i <= 20; $i++) { ?>
                                        <option value="<?= $i * 5; ?>"><?= $i * 5; ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                            <div class="my-4">
                                <select class="select" required id="account" name="account">
                                    <option class="" disabled selected>--Select account--</option>
                                    <option value="totalbal">Main Balance (<?= $symbol . number_format($totalbal, 2); ?>)</option>
                                    <option value="profit">Profit Balance (<?= $symbol . number_format($profit, 2); ?>)</option>
                                </select>
                            </div>
                            <div class="mt-2 p-3">
                                <p class="alert alert-primary" id="error"></p>
                            </div>
                            <div class="mt-1 d-flex justify-content-center align-items-center">
                                <div class="me-2">
                                    <a onclick="placeBuy();" class="btn btn-md emerald-gradient">Buy</a>
                                </div>
                                <div class="">
                                    <a onclick="placeSell()" class="btn btn-md btn-danger">Sell</a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="card border border-1">
                    <div class="card-body" id="favorites">
                        <div class="d-flex justify-content-between align-items-center">
                            <div>
                                <h4 class="fw-bold">My Favorites</h4>
                            </div>
                            <div>
                                <a href="./favorites" class="link">view</a>
                            </div>
                        </div>
                        <hr>
                        <?php
                        $favv = $db_conn->prepare("SELECT * FROM favorites WHERE mem_id = :mem_id");
                        $favv->bindParam(":mem_id", $mem_id, PDO::PARAM_STR);
                        $favv->execute();
                        if ($favv->rowCount() < 1) {
                            echo "<p class='text-center'>No Favorites added</p>";
                        } else {
                            while ($rowss = $favv->fetch(PDO::FETCH_ASSOC)) :
                        ?>
                                <div class="card mb-3">
                                    <div class="card-body px-2">
                                        <div class="d-flex justify-content-between align-items-center">
                                            <div class="d-flex justify-content-center align-items-center">
                                                <div>
                                                    <img width="30" height="30" class="img-fluid" src="../../assets/images/svgs/<?= strtolower($rowss['symbol']) ?>-image.svg">
                                                </div>
                                                <div class="ms-2">
                                                    <span class="fw-bold small"><?= str_replace("USD", "", $rowss['symbol']); ?></span>
                                                </div>
                                            </div>
                                            <!--<div class="text-start text-left" style="text-align: left !important;">-->
                                            <!--    <span class="small"><?= $rowss['price'] > 1 ? $symbol . "" . $rowss['price'] : $symbol . "" . $rowss['price']; ?></span>-->
                                            <!--</div>-->
                                            <div>
                                                <span style="cursor: pointer;" onclick="removefav('<?= $rowss['symbol']; ?>')" class="text-center fw-bold"><span id="favorite" class="fas fa-star"></span></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <hr>
                        <?php
                            endwhile;
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="card border border-1">
            <div class="card-body">
                <div class="d-flex align-items-center justify-content-between mb-3">
                    <div class="">
                        <h5 class="fw-bold">Last five (5) trades</h5>
                    </div>
                    <div class="">
                        <a class="link" href="./trades">View all</a>
                    </div>
                </div>
                <div class="table-wrapper table-responsive">
                    <table class="table">
                        <thead>
                            <th class="text-nowrap">SN</th>
                            <th class="text-nowrap">Asset</th>
                            <th class="text-nowrap">Trade type</th>
                            <th class="text-nowrap">Date</th>
                            <th class="text-nowrap">Amount</th>
                            <th class="text-nowrap">Status</th>
                            <th class="text-nowrap">Action</th>
                        </thead>
                        <tbody>
                            <?php
                            $acct2 = 'live';
                            $sql2 = $db_conn->prepare("SELECT * FROM trades WHERE mem_id = :mem_id ORDER BY main_id DESC LIMIT 5");
                            $sql2->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
                            $sql2->execute();
                            if ($sql2->rowCount() < 1) {
                                echo "<tr class='text-center'><td colspan='7'>No trades available to show</td></tr>";
                            } else {
                                $n = 1;
                                while ($row2 = $sql2->fetch(PDO::FETCH_ASSOC)) :
                            ?>
                                    <tr class="text-nowrap">
                                        <td><?= $n; ?></td>
                                        <td>
                                            <div class="d-flex justify-content-start align-items-center">
                                                <div>
                                                    <img src="../../assets/images/svgs/<?= strtolower($row2['asset']); ?>-image.svg" width="20" height='20'>
                                                </div>
                                                <div class="ps-1">
                                                    <span class="fw-bold small"><?= ucfirst($row2['small_name']); ?></span>
                                                </div>
                                            </div>
                                        </td>
                                        <td><?= $row2['tradetype'] == 'Buy' ? '<span class="text-success">Buy</span>' : '<span class="text-danger">Sell</span>'; ?></td>
                                        <td><?= $row2['tradedate']; ?></td>
                                        <td><?= $symbol; ?><?= number_format($row2['amount'], 2); ?></td>
                                        <td><?= $row2['tradestatus'] == 0 ? '<span class="text-success fw-bold">Closed</span>' : ($row2['tradestatus'] == 1 ? '<span class="text-warning fw-bold">Open</span>' : '<span class="text-danger fw-bold">Cancelled</span>'); ?></td>
                                        <td><a href="./tradedetails?tradeid=<?= $row2['tradeid']; ?>" class="btn btn-sm blue-algo-gradient"><span class="">View</span></a></td>
                                    </tr>
                            <?php $n++;
                                endwhile;
                            } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</main>

<?php
include 'footer.php';
?>
<script src="../../assets/js/assets.js"></script>
<script type="text/javascript" src="https://s3.tradingview.com/tv.js"></script>
<script>
    $(document).ready(function() {
        updateSelect('items');
        $("#error").fadeOut();
    });

    window.history.replaceState({}, "", "/app/account/" + myNewURL);

    let pps = 0;
    let balance = 0;

    let currAsset = {}


    <?php if (isset($_GET['symbol'])) { ?>
        setAsset(asset, '<?= $symbol ?>');
        getMData();
        new TradingView.widget({
            "width": "100%",
            "height": 460,
            "symbol": currAsset.pairs,
            "interval": "D",
            "timezone": "Etc/UTC",
            "theme": `${localStorage.getItem('theme-preference')}`,
            "style": "1",
            "locale": "en",
            "toolbar_bg": "#f1f3f6",
            "enable_publishing": false,
            "allow_symbol_change": false,
            "save_image": false,
            "container_id": "tradingview_d43f4"
        });
    <?php } else { ?>
        setAsset(asset, 'AAPL');
        getMData();
        new TradingView.widget({
            "width": "100%",
            "height": 460,
            "symbol": currAsset.pairs,
            "interval": "D",
            "timezone": "Etc/UTC",
            "theme": `${localStorage.getItem('theme-preference')}`,
            "style": "1",
            "locale": "en",
            "toolbar_bg": "#f1f3f6",
            "enable_publishing": false,
            "allow_symbol_change": false,
            "save_image": false,
            "container_id": "tradingview_d43f4"
        });
    <?php } ?>

    $('#items').change(function() {
        setAsset(asset, $(this).val());
        getMData();

        new TradingView.widget({
            "width": "100%",
            "height": 460,
            "symbol": currAsset.pairs,
            "interval": "D",
            "timezone": "Etc/UTC",
            "theme": `${localStorage.getItem('theme-preference')}`,
            "style": "1",
            "locale": "en",
            "toolbar_bg": "#f1f3f6",
            "enable_publishing": false,
            "allow_symbol_change": false,
            "save_image": false,
            "container_id": "tradingview_d43f4"
        });
    });

    //Buy Trade Function

    $('#account').change(function() {
        if ($(this).val() == "totalbal") {
            balance = <?= $totalbal; ?>;
        } else if ($(this).val() == "profit") {
            balance = <?= $profit; ?>;
        }
    });
</script>