<?php include "header.php";

if (isset($_GET['type']) and isset($_GET['transcid'])) {
    $transcid = $_GET['transcid'];
    $type = $_GET['type'];
} else {
    header('Location: ' . $_SERVER['HTTP_REFERER']);
}

?>
<title>Transaction details</title>
<main class="py-5 mt-5" id="content">
    <div class="container pt-5">
        <?php switch ($type) {
            case 'deposit':
                $select = $db_conn->prepare("SELECT * FROM deptransc WHERE transc_id = :transc_id AND mem_id = :mem_id");
                $select->bindParam(':transc_id', $transcid, PDO::PARAM_STR);
                $select->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
                $select->execute();
                if ($select->rowCount() < 1) {
                    header('Location: ' . $_SERVER['HTTP_REFERER']);
                    exit();
                } else {
                    $row = $select->fetch(PDO::FETCH_ASSOC);
                }
        ?>
                <div class="card border border-1">
                    <div class="card-body">
                        <h5 class="text-center mb-4 text-uppercase">Deposit Details</h5>
                        <div class="border-bottom border-4 w-50 mb-4 me-auto ms-auto"></div>
                        <div class="container">
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Amount: </h6>
                                </div>
                                <div class="w-100">
                                    <p class=""><?= $symbol; ?><?= number_format($row['amount'], 2); ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Payment method: </h6>
                                </div>
                                <div class="text-start w-100">
                                    <p class=""><?= $row['crypto_name']; ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Date: </h6>
                                </div>
                                <div class="w-100">
                                    <p class="fw-bold"><?= $row['date_added']; ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Status: </h6>
                                </div>
                                <div class="w-100">
                                    <p class="fw-bold">
                                        <?= $row['status'] == 0 && $row['proof'] != NULL ? '<span class="text-warning">Processing</span>' : ($row['status'] == 1 ? '<span class="text-success">Completed</span>' : ($row['status'] == 0 ? '<span class="text-warning">Pending</span>' : '<span class="text-danger">Failed</span>')); ?>
                                    </p>
                                </div>
                            </div>
                            <?php if ($row['proof'] == NULL && $row['status'] == 0) { ?>
                                <div class="text-center">
                                    <button type="button" id="proofBtn" class="btn btn-md btn-md seablue-gradient mb-3">Upload Proof</button>
                                </div>
                                <form id="uploadForm" enctype="multipart/form-data" method="POST">
                                    <p class="alert alert-primary" id="errorshow"></p>
                                    <div>
                                        <label class="form-label mb-0" for="proof">Proof</label>
                                        <div class="form-outline my-3">
                                            <i class="fas fa-image trailing text-muted"></i>
                                            <input type="file" id="proof" name="proof" class="form-control form-icon-trailing">

                                        </div>
                                    </div>
                                    <div class="my-3 text-center">
                                        <button type="submit" class="btn btn-md blue-algo-gradient">Submit</button>
                                    </div>
                                </form>
                            <?php } elseif ($row['proof'] != NULL) { ?>
                                <div class="border-bottom border-2 mb-4"></div>
                                <div class="d-flex justify-content-between align-items-center mb-3">
                                    <div class="fw-bold w-100">
                                        <h6 class="fw-bold">Payment proof: </h6>
                                    </div>
                                    <div class="w-100">
                                        <a class="btn btn-sm btn-outline-white" target="_blank" href="../../assets/images/proof/<?= $row['proof']; ?>">view</a>
                                    </div>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php break;
            case 'withdrawal':
                $select = $db_conn->prepare("SELECT * FROM wittransc WHERE transc_id = :transc_id AND mem_id = :mem_id");
                $select->bindParam(':transc_id', $transcid, PDO::PARAM_STR);
                $select->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
                $select->execute();
                if ($select->rowCount() < 1) {
                    header('Location: ' . $_SERVER['HTTP_REFERER']);
                    exit();
                } else {
                    $row = $select->fetch(PDO::FETCH_ASSOC);
                }
            ?>
                <div class="card border border-1">
                    <div class="card-body">
                        <h5 class="text-center mb-4 text-uppercase">Withdrawal Details</h5>
                        <div class="border-bottom border-4 w-50 mb-4 me-auto ms-auto"></div>
                        <div class="container">
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Amount: </h6>
                                </div>
                                <div class="w-100">
                                    <p class=""><?= $symbol; ?><?= number_format($row['amount'], 2); ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Withdrawal method: </h6>
                                </div>
                                <div class="text-start w-100">
                                    <p class=""><?= $row['method']; ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Date: </h6>
                                </div>
                                <div class="w-100">
                                    <p class="fw-bold"><?= $row['date_added']; ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Status: </h6>
                                </div>
                                <div class="w-100">
                                    <p class="fw-bold"><?= $row['status'] == 0 ? '<span class="text-warning">Processing</span>' : ($row['status'] == 1 ? '<span class="text-success">Successful</span>' : '<span class="text-danger">Failed</span>'); ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                        </div>
                    </div>
                </div>
        <?php break;
        } ?>
    </div>
</main>
<?php include "footer.php"; ?>
<script>
    $(document).ready(() => {
        $("#uploadForm").hide();
        $("#errorshow").hide();
    });

    $('#proofBtn').click(function() {
        $('#uploadForm').toggle();
    });

    $("form#uploadForm").submit(function(e) {
        t_id = "<?= $transcid; ?>";
        e.preventDefault();
        let formData = new FormData(this);
        let req = "uploadProof";
        formData.append('request', req);
        formData.append('transc_id', t_id);

        $.ajax({
            url: '../../ops/users',
            type: 'POST',
            data: formData,
            beforeSend: function() {
                $('#errorshow').html("Please wait <span class='fas fa-spinner fa-spin'></span>").fadeIn();
            },
            success: function(data) {
                let response = $.parseJSON(data);
                if (response.status == "success") {
                    $("#errorshow").html(response.message).fadeIn();
                    setTimeout(() => {
                        location.reload();
                    }, 5000);
                } else {
                    $("#errorshow").html(response.message);
                }
            },
            cache: false,
            error: function(err) {
                $('#errorshow').html("An error has occured! " + err.statusText).fadeIn();
            },
            contentType: false,
            processData: false
        });
    });
</script>