<?php 
include 'session.php';
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <link rel="icon" href="../../assets/images/favicon.png" type="image/x-icon">
    <link rel="stylesheet" href="../../assets/css/font-awesome.min.css">
    <link rel="stylesheet" href="../../assets/css/style.min.css">
    <link rel="stylesheet" href="../../assets/css/gradients.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="../../assets/css/datatables.min.css">
    <link rel="stylesheet" href="../../assets/css/tiny-slider.css">
    <link rel="stylesheet" href="../../assets/css/toastr.css" />
    <script src="../../assets/js/jquery-3.6.0.min.js"></script>

</head>
<style>
    body {
        font-family: "Josefin Sans", sans-serif !important;
        letter-spacing: .06em;
    }

    button.btn,
    .btn {
        letter-spacing: .14em;

    }

    .navbar-nav #nots .dropdown-menu {
        width: 295px !important;
    }

    .navbar-nav #profileNav .dropdown-menu {
        width: 290px !important;
    }

    .uname {
        font-size: .60rem;
    }

    .unames {
        font-size: .80rem;
        font-weight: bold;
    }

    .ai-check {
        right: 10px;
        bottom: 18px;
    }

    .pos {
        z-index: 100;
        position: fixed !important;
        top: 48px;
        width: 100% !important;
    }

    .tns-nav {
        display: none;
    }

    .circ {
        height: 70px;
        width: 70px;
        background: rgb(59, 155, 196);
        overflow: hidden;
        border-radius: 50%;
    }

    .circle {
        height: 1.4rem;
        width: 1.4rem;
        background: rgb(59, 155, 196);
        overflow: hidden;
        border-radius: 50%;
    }

    .skiptranslate {
        display: none;
    }

    .circle2 {
        height: 2.7rem;
        width: 2.7rem;
        background: rgb(59, 155, 196);
        overflow: hidden;
        border-radius: 50%;
    }

    .img-sc {
        display: block;
        width: 100%;
        height: 100%;
    }

    .cent {
        display: flex;
        justify-content: center;
        align-items: center;
    }


    @media (min-width: 998px) {
        .ai-check {
            right: 18px;
        }
    }
</style>

<body class="" data-mdb-theme="dark">
    <header>
        <div id="sidenav-1" class="sidenav border-end border-2" role="navigation" data-mdb-close-on-esc="true" data-mdb-position="fixed" data-mdb-hidden="true" data-mdb-mode="side" style="overflow-y: auto;" data-mdb-slim="false" data-mdb-slim-collapsed="false" data-mdb-content="#content" data-mdb-focus-trap="false">
            <ul class="sidenav-menu mt-5">
                <li class="ps-2 sidenav-item my-3">
                    <div style="cursor: pointer;" class="d-flex gap-3 py-3 justify-content-between align-items-center border-bottom border-2 collapsed" data-mdb-target="#prof" data-mdb-toggle="collapse">
                        <div class="d-flex gap-3 justify-content-start align-items-center">
                            <div class="circle2">
                                <img src="../../assets/images/user/<?= $photo == null ? "user.png" : $photo ?>" class="img-fluid img-sc">
                            </div>
                            <div class="">
                                <h6 class="fw-bold mb-0"> <?= ucfirst($fullname); ?></h6>
                                <p class="small mb-0"><?= ucfirst($rUsername); ?></p>
                            </div>
                        </div>
                        <span class="pe-3 accordion fas fa-angle-down rotate-down"></span>
                    </div>
                    <div class="collapse border-bottom border-2 pb-3" id="prof">
                        <div class="d-flex justify-content-between px-2 align-items-center">
                            <div class="">
                                <p class="mb-0">Main Balance</p>
                                <h4 class="fw-bolder text-success"><?= $symbol . number_format($totalbal + $profit, 2); ?></h4>

                            </div>
                            <div class="badge badge-primary text-center">
                                <i class="material-icons" style="font-size: 1.99em;">stacked_bar_chart
                                </i>
                            </div>
                        </div>
                        <div class="px-2 d-flex justify-content-between align-items-center">
                            <span>AI Trading System: </span>
                            <span><?= $aiTrading == 1 ? "<span class='text-success'>Active <i class='fas fa-check-circle'></i>" : "<span class='text-danger'>Inactive <i class='fas fa-times-circle'></i>"; ?></span>
                        </div>
                        <div class="px-2 d-flex justify-content-between align-items-center">
                            <span>Balance: </span>
                            <span><?= $symbol . number_format($totalbal, 2); ?></span>
                        </div>
                        <div class="px-2 d-flex justify-content-between align-items-center">
                            <span>Profit: </span>
                            <span><?= $symbol . number_format($profit, 2); ?></span>
                        </div>
                        <div class="px-2 d-flex justify-content-between align-items-center">
                            <a href="deposit" class="d-flex justify-content-start align-items-center btn btn-sm seablue-gradient"><span>Deposit</span><i class="material-icons" style="font-size: 0.99em;">account_balance_wallet</i></a>
                            <a href="withdrawal" class="d-flex justify-content-start align-items-center btn btn-sm blokker-gradient"><span>Withdrawal</span><i class="material-icons" style="font-size: 0.99em;">account_balance_wallet</i></a>
                        </div>
                    </div>
                </li>
                <li class="sidenav-item fw-bold">
                    <a class="sidenav-link" href="./">
                        <i class="material-icons me-2" style="font-size: 0.99em;">dashboard</i><span> Home</span>
                    </a>
                </li>
                <li class="sidenav-item">
                    <a class="sidenav-link" href="./chart">
                        <i class="fas fa-chart-line me-2"></i><span> Place Trade</span>
                    </a>
                </li>
                <li class="sidenav-item">
                    <a class="sidenav-link" href="./trades">
                        <i class="fas fa-chart-bar me-2"></i><span> My trades</span>
                    </a>
                </li>
                <li class="sidenav-item">
                    <a class="sidenav-link" href="./ai-trading">
                        <i class="fas fa-cubes me-2"></i><span> AI Trading System</span>
                    </a>
                </li>
                <li class="sidenav-item">
                    <a class="sidenav-link" href="./loan">
                        <i class="fas fa-piggy-bank me-2"></i><span> Take Loan</span>
                    </a>
                </li>
                <li class="sidenav-item">
                    <a class="sidenav-link" href="./deposit">
                        <i class="fas fa-sign-in-alt me-2"></i><span> Deposit</span>
                    </a>
                </li>
                <li class="sidenav-item">
                    <a class="sidenav-link" href="./commodities">
                        <i class="fas fa-landmark me-2"></i><span> Commodities</span>
                    </a>
                </li>
                <li class="sidenav-item">
                    <a class="sidenav-link" href="./transactions">
                        <i class="fas fa-calendar-alt me-2"></i><span> All Transactions</span>
                    </a>
                </li>
                <li class="sidenav-item">
                    <a class="sidenav-link" href="./traders">
                        <i class="fas fa-user-tie me-2"></i><span> Copy Traders</span>
                    </a>
                </li>
                <li class="sidenav-item">
                    <a class="sidenav-link" href="./withdrawal">
                        <i class="fas fa-wallet me-2"></i><span> Withdrawal</span>
                    </a>
                </li>
                <li class="sidenav-item mb-1">
                    <a class="sidenav-link" href="./verification">
                        <i class="fas fa-users me-2"></i><span> Verification</span>
                    </a>
                </li>
                <li class="sidenav-item">
                    <a class="sidenav-link" href="./profile">
                        <i class="fas fa-cogs me-2"></i><span> User settings</span>
                    </a>
                </li>
                <li class="sidenav-item mb-1">
                    <a class="sidenav-link text-danger" href="./logout">
                        <i class="fas fa-power-off me-2"></i><span> Sign out</span>
                    </a>
                </li>
                <li class="sidenav-item justify-content-center align-items-center d-flex">
                    <i class="fas fa-sun"></i>
                    <div class="ms-2 form-check form-switch">
                        <input class="form-check-input" type="checkbox" role="switch" id="themingSwitcher" />
                    </div>
                    <i class="fas fa-moon"></i>
                </li>
            </ul>
            <div class="d-flex my-3 justify-content-center">
                <div class="gtranslate_wrapper"></div>
            </div>
            <div class="sidenav-footer mt-5">
                <p class="text-center">&copy; <?php echo date("Y"); ?> <?= SITE; ?></p>
            </div>
        </div>
        <!-- Sidenav -->
        <!-- Navbar -->
        <nav id="main-navbar" class="navbar bg-body-tertiary navbar-expand-lg fixed-top">
            <div class="container-fluid">
                <a onclick="slimInstance.show(); $('#prof').addClass('show');" class="nav-link me-3" data-mdb-content="#slim-content" aria-haspopup="true">
                    <i class="fas fa-bars" style="cursor: pointer;"></i>
                    <a href="./" class="navbar-brand">
                        <img src="../../assets/images/logo-dark.png" id="navbar-brand" class="img-fluid" width="80" />
                    </a>
                </a>
                <ul class="navbar-nav ms-auto d-flex flex-row align-items-center">
                    <li class="nav-item me-3">
                        <?php if (basename($_SERVER['PHP_SELF']) != 'index.php') { ?>
                            <a href="javascript:history.back();" class="nav-link" aria-expanded="false">
                                <small><i class="fas fa-angle-left"></i> Back</small>
                            </a>
                        <?php } ?>
                    </li>
                    <!-- <li class="nav-item me-3">
                        <a onclick="$('#langmodal').modal('show');" style="cursor: pointer;" class="nav-link"> <i class="fas fa-language"></i></a>
                    </li> -->
                    <li class="nav-item me-3">
                        <a href="ai-trading" style="cursor: pointer;" class="nav-link position-relative">
                            <i class="fas fa-robot"></i>
                            <?= $aiTrading == 1 ? "<span class='position-absolute ai-check text-success'> <i class='fas fa-check-circle'></i>" : "<span class='position-absolute ai-check text-danger'> <i class='fas fa-times-circle'></i>"; ?>
                        </a>
                    </li>
                    <li class="nav-item dropdown me-2" id="nots">
                        <a class="dropdown-toggle position-relative d-flex align-items-center" href="#" id="notifDropDown" data-mdb-toggle="dropdown" role="button" aria-expanded="false">
                            <i class="fas fa-bell"></i>
                            <span class="top-8 position-absolute translate-middle unames text-danger rounded-pill"><?= $notifCount; ?><span class="visually-hidden">unread messages</span>
                        </a>
                        <ul class="dropdown-menu dropdown-menu-right dropdown-menu-end" aria-labelledby="notifDropDown">
                            <?php if ($getNotif->rowCount() < 1) { ?>
                                <li class="p-4 text-start">You do not have any notifications</li>
                                <?php } else {
                                while ($rowNotif = $getNotif->fetch(PDO::FETCH_ASSOC)): ?>
                                    <li class="p-4 text-start border-1 border-bottom">
                                        <a class="dropdown-item" href="./notifications?id=<?= $rowNotif['main_id']; ?>"><span class="fas fa-exclamation-circle"></span><span class="ps-2 fw-bold"><?= $rowNotif['title']; ?></span></a>
                                    </li>
                            <?php endwhile;
                            } ?>
                        </ul>
                    </li>
                    <li class="nav-item dropdown" id="profileNav">
                        <a class="dropdown-toggle d-flex align-items-center" id="navbarDropdownMenuAvatar" data-mdb-toggle="dropdown" role="button" aria-expanded="false" href="#">
                            <div class="circle">
                                <img class="img-sc" height="25" src="../../assets/images/user/<?= $photo == NULL ? 'user.png' : $photo; ?>" loading="lazy" />
                            </div>
                            <span class="uname"><?= $fullname; ?></span>
                        </a>
                        <ul class="dropdown-menu dropdown-menu-right dropdown-menu-end" aria-labelledby="navbarDropdownMenuAvatar">
                            <li>
                                <div class="border-bottom border-2 pt-3 pb-2 px-2">
                                    <div class="d-flex justify-content-between px-2 align-items-center">
                                        <div class="">
                                            <p class="mb-0">Main Balance</p>
                                            <h4 class="fw-bolder text-success"><?= $symbol . number_format($totalbal + $profit, 2); ?></h4>
                                        </div>
                                        <div class="badge badge-primary text-center">
                                            <i class="material-icons" style="font-size: 1.99em;">stacked_bar_chart
                                            </i>
                                        </div>
                                    </div>
                                    <div class="px-2 d-flex justify-content-between align-items-center">
                                        <span>Ai Trading: </span>
                                        <span><?= $aiTrading == 1 ? "<span class='ai-check text-success'>Active <i class='fas fa-check-circle'></i>" : "<span class='ai-check text-danger'>Inactive <i class='fas fa-times-circle'></i>"; ?></span>
                                    </div>
                                    <div class="px-2 d-flex justify-content-between align-items-center">
                                        <span>Balance: </span>
                                        <span><?= $symbol . number_format($totalbal, 2); ?></span>
                                    </div>
                                    <div class="px-2 d-flex justify-content-between align-items-center">
                                        <span>Profit: </span>
                                        <span><?= $symbol . number_format($profit, 2); ?></span>
                                    </div>
                                    <div class="px-2">
                                        <a href="deposit" class="d-flex gap-3 mb-2 text-info justify-content-start align-items-center"><span>Deposit</span><i class="material-icons" style="font-size: 0.99em;">account_balance_wallet</i></a>
                                        <a href="withdrawal" class="d-flex gap-3 text-info justify-content-start align-items-center"><span>Withdrawal</span><i class="material-icons" style="font-size: 0.99em;">account_balance_wallet</i></a>
                                    </div>
                                </div>
                            </li>
                            <li>
                                <a class="dropdown-item" href="./profile">My profile</a>
                            </li>
                            <li class="">
                                <a class="dropdown-item text-danger" href="./logout">Logout</a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
        </nav>
    </header>
    <!--Main layout-->
    <div class="pos">
        <div class="tradingview-widget-container">
            <div class="tradingview-widget-container__widget"></div>
            <div class="tradingview-widget-copyright"></div>
            <script type="text/javascript" src="https://s3.tradingview.com/external-embedding/embed-widget-ticker-tape.js" async>
                {
                    "symbols": [{
                            "proName": "FOREXCOM:SPXUSD",
                            "title": "S&P 500"
                        },
                        {
                            "proName": "FOREXCOM:NSXUSD",
                            "title": "US 100"
                        },
                        {
                            "proName": "FX_IDC:EURUSD",
                            "title": "EUR/USD"
                        },
                        {
                            "proName": "BITSTAMP:BTCUSD",
                            "title": "Bitcoin"
                        },
                        {
                            "proName": "BITSTAMP:ETHUSD",
                            "title": "Ethereum"
                        },
                        {
                            "description": "Binance Smart Chain",
                            "proName": "BINANCE:BNBUSDT"
                        },
                        {
                            "description": "Luna",
                            "proName": "BINANCE:LUNAUSDT"
                        },
                        {
                            "description": "Gold",
                            "proName": "CURRENCYCOM:GOLD"
                        },
                        {
                            "description": "Gasoline",
                            "proName": "PEPPERSTONE:GASOLINE"
                        },
                        {
                            "description": "Aptos",
                            "proName": "BINANCE:APTUSDT"
                        },
                        {
                            "description": "Crude oil",
                            "proName": "CURRENCYCOM:OIL_CRUDE"
                        },
                        {
                            "description": "Solana",
                            "proName": "BINANCE:SOLUSDT"
                        },
                        {
                            "description": "Polygon Matic",
                            "proName": "BINANCE:MATICUSDT"
                        },
                        {
                            "description": "Shiba Inu",
                            "proName": "BINANCE:SHIBUSDT"
                        },
                        {
                            "description": "Cardano",
                            "proName": "BINANCE:ADAUSDT"
                        }
                    ],
                    "showSymbolLogo": true,
                    "colorTheme": "dark",
                    "isTransparent": false,
                    "displayMode": "adaptive",
                    "locale": "en"
                }
            </script>
        </div>
    </div>