<?php include "header.php"; ?>
<title>Loan Request - <?= SITE_NAME; ?></title>
<main class="py-5 mt-5" id="content">
    <div class="container pt-5">
        <div class="card border border-1 border-primary">
            <div class="card-header py-3">
                <h5 class="fw-bold text-uppercase text-center">Apply For loan</h5>
            </div>
            <div class="card-body">
                <form id="loan-form" enctype="multipart/form-data" method="POST">
                    <p>Fill the form below to apply for a loan.</p>
                    <div class="form-outline mt-4 mb-3">
                        <i class=" fas fa-dollar-sign trailing"></i>
                        <input type="text" class="form-control form-icon-trailing" placeholder="Amount" id="amount" name="amount" aria-label="amount" />
                        <label for="amount" class="form-label">Amount</label>
                    </div>
                    <div class="form-group my-3">
                        <label class="form-label mb-2" for="duration">Duration (Months)</label>
                        <select class="select" required id="duration" name="duration">
                            <option class="" disabled selected>--Select duration--</option>
                            <option value="6 months">6 months</option>
                            <option value="12 months">12 months</option>
                            <option value="2 years">2 years</option>
                            <option value="3 years">3 years</option>
                            <option value="4 years">4 years</option>
                            <option value="5 years">5 years</option>
                        </select>
                    </div>
                    <div class="form-group my-3">
                        <label class="form-label mb-2" for="income">Monthly Net Income</label>
                        <select class="select" required id="income" name="income">
                            <option class="" disabled selected>--Select duration--</option>
                            <option value="2000-5000"><?= $symbol; ?> 2,000 - <?= $symbol; ?>5,000</option>
                            <option value="6000-10000"><?= $symbol; ?> 6,000 - <?= $symbol; ?>10,000</option>
                            <option value="11000-20000"><?= $symbol; ?> 11,000 - <?= $symbol; ?>20,000</option>
                            <option value="21000-50000"><?= $symbol; ?> 21,000 - <?= $symbol; ?>50,000</option>
                            <option value="100000"><?= $symbol; ?> 100,000 and above</option>
                        </select>
                    </div>
                    <div class="form-group text-center">
                        <div class="alert alert-primary" id="errorshow"></div>
                    </div>
                    <div class="form-check">
                        <input class="form-check-input" type="checkbox" value="accept-terms" name="accept-terms" id="accept-terms" />
                        <label style="font-size: .8rem;" class="form-check-label small" for="accept-terms">Accept terms of this loan</label>
                    </div>
                    <p style="font-size: .75rem;"><i>Please note that loan approval is subject to both <span class="fw-bold">KYC</span> and <span class="fw-bold">email </span> verification amongst other due diligence</i></p>
                    <div class="my-3" align="center">
                        <button type="submit" class="btn btn-md seablue-gradient">Send Request</button>
                    </div>
                </form>
            </div>
        </div>
        <div class="card border border-1 border-primary mt-3">
            <div class="card-body p-2">
                <div class="border-bottom border-2 pb-1 mb-3">
                    <h5 class="fw-bold text-center">Loan Requests</h5>
                </div>
                <div class="table-wrapper table-responsive">
                    <table class="table align-middle hoverable table-striped table-hover" id="depTable">
                        <thead class="">
                            <tr class="text-nowrap">
                                <th scope="col" class="">ID</th>
                                <th scope="col" class="">Amount</th>
                                <th scope="col" class="">Date</th>
                                <th scope="col" class="">Repayment</th>
                                <th scope="col" class="">Duration</th>
                                <th scope="col" class="">Interest</th>
                                <th scope="col" class="">Income</th>
                                <th scope="col" class="">Status</th>
                                <th scope="col" class="">Repay Loan</th>
                            </tr>
                        </thead>
                        <?php
                        $sql2 = $db_conn->prepare("SELECT * FROM loans WHERE mem_id = :mem_id ORDER BY main_id DESC");
                        $sql2->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
                        $sql2->execute();
                        $b = 1;
                        ?>
                        <tbody>
                            <?php if ($sql2->rowCount() < 1) { ?>
                                <tr class="text-center">
                                    <td class='text-center' colspan='9'>No record available to show</td>
                                </tr>
                                <?php
                            } else {
                                while ($row = $sql2->fetch(PDO::FETCH_ASSOC)) : ?>
                                    <tr class="text-nowrap">
                                        <td class="text-start"><?= $row['loan_id']; ?></td>
                                        <td class="text-start"><?= $symbol . " " . number_format($row['amount'], 2); ?></td>
                                        <td class="text-start"><?= $row['loandate']; ?></td>
                                        <td class="text-start"><?= $symbol . " " . number_format($row['repayamount'], 2); ?></td>
                                        <td class="text-start"><?= $row['duration']; ?></td>
                                        <td class="text-start"><?= $row['interest']; ?>%</td>
                                        <td class="text-start">
                                            <?php
                                            switch ($row['income']) {
                                                case "2000-5000":
                                                    echo $symbol . " " . number_format(2000, 2) . " - " . $symbol . " " . number_format(5000, 2);
                                                    break;
                                                case "6000-10000":
                                                    echo $symbol . " " . number_format(6000, 2) . " - " . $symbol . " " . number_format(10000, 2);
                                                    break;
                                                case "11000-20000":
                                                    echo $symbol . " " . number_format(11000, 2) . " - " . $symbol . " " . number_format(20000, 2);
                                                    break;
                                                case "21000-50000":
                                                    echo $symbol . " " . number_format(21000, 2) . " - " . $symbol . " " . number_format(50000, 2);
                                                    break;
                                                case "100000":
                                                    echo $symbol . " " . number_format(100000, 2) . " and Above";
                                                    break;
                                                default:
                                                    echo $symbol . " " . number_format(2000, 2) . " - " . $symbol . " " . number_format(5000, 2);
                                                    break;
                                            }
                                            ?>
                                        </td>
                                        <td class="text-start">
                                            <?php
                                            if ($row['loanstatus'] == 0) {
                                                echo "<span class='text-warning'>Pending</span>";
                                            } elseif ($row['loanstatus'] == 1) {
                                                echo "<span class='text-info'>Approved</span>";
                                            } elseif ($row['loanstatus'] == 2) {
                                                echo "<span class='text-danger'>Rejected</span>";
                                            } elseif ($row['loanstatus'] == 3) {
                                                echo "<span class='text-secondary'>Repaid</span>";
                                            } elseif ($row['loanstatus'] == 4) {
                                                echo "<span class='text-success'>Completed</span>";
                                            }
                                            ?>
                                        </td>
                                        <td class="text-start"><a onclick="showModal('<?= $row['loan_id']; ?>')" class="btn btn-sm btn-rounded btn-primary">Repay</a></td>
                                <?php $b++;
                                endwhile;
                            } ?>
                                    </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</main>
<?php
$sql2 = $db_conn->prepare("SELECT * FROM loans WHERE mem_id = :mem_id ORDER BY main_id DESC");
$sql2->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
$sql2->execute();
while ($row = $sql2->fetch(PDO::FETCH_ASSOC)) :
?>
    <div class="modal fade" id="modalPay<?= $row['loan_id']; ?>" tabindex="-1" aria-labelledby="modalPay<?= $row['loan_id']; ?>" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-md" role="document">
            <div class="modal-content text-center">
                <div class="modal-header justify-content-center">
                    <h3 class="fw-bold"><span class="fas fa-exclamation-circle"></span> Repay Loan</h3>
                    <button type="button" class="btn-close" data-mdb-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body py-3">
                    <p class="h6 text-start lh-base">Make your deposit of <?= $symbol . " " . number_format($row['repayamount']); ?> worth of <span id="cmethod<?= $row['loan_id']; ?>"></span> into the provided address and tap the complete button. Or scan the QR Code below to complete payment.</p>
                    <div class="form-group my-3">
                        <label class="form-label mb-2" for="method<?= $row['loan_id']; ?>">Select Payment method</label>
                        <select class="form-control browser-default" data-mdb-select-initialized="true" required id="method<?= $row['loan_id']; ?>" name="method<?= $row['loan_id']; ?>">
                            <option class="" disabled selected>--Select payment methods--</option>
                            <?php $sql = $db_conn->prepare("SELECT * FROM crypto");
                            $sql->execute();
                            while ($rows = $sql->fetch(PDO::FETCH_ASSOC)) :
                            ?>
                                <option value="<?php echo $rows['crypto_name']; ?>"><?php echo $rows['crypto_name']; ?></option>
                            <?php endwhile; ?>
                        </select>
                    </div>
                    <div class="input-group form-outline mt-4 mb-3">
                        <input type="text" class="form-control" value="" readonly placeholder="Wallet address" id="address<?= $row['loan_id']; ?>" name="address<?= $row['loan_id']; ?>" aria-label="address<?= $row['loan_id']; ?>" />
                        <button class="btn btn-primary" onclick="copyVal('address<?= $row['loan_id']; ?>')" type="button" data-mdb-ripple-init aria-expanded="false">
                            Copy
                        </button>
                        <label class="form-label" for="address<?= $row['loan_id']; ?>">Wallet address</label>
                    </div>
                    <div>
                        <img src="" id="barcode<?= $row['loan_id']; ?>" class="img-fluid w-50" loading="lazy" />
                    </div>
                    <form enctype="multipart/form-data" method="POST">
                        <div>
                            <label class="form-label mb-0" for="proof<?= $row['loan_id']; ?>">Payment proof</label>
                            <div class="form-outline my-3">
                                <i class="fas fa-image trailing text-muted"></i>
                                <input type="file" id="proof<?= $row['loan_id']; ?>" required name="proof<?= $row['loan_id']; ?>" class="form-control form-icon-trailing">
                            </div>
                        </div>
                        <div class="form-group text-center">
                            <div class="alert alert-primary" id="errorshows<?= $row['loan_id']; ?>"></div>
                        </div>
                        <div class="my-3" align="center">
                            <button type="button" onclick="payLoan($('#method<?= $row['loan_id']; ?>').val(), 'proof<?= $row['loan_id']; ?>', '<?= $row['loan_id']; ?>', '<?= $row['repayamount']; ?>', 'errorshows<?= $row['loan_id']; ?>')" class="btn btn-md btn-primary">Submit</button>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <span class="badge badge-danger p-3">
                        <a type="button" onclick="$('#modalPay<?= $row['loan_id']; ?>').modal('hide');" class="link">Close</a>
                    </span>
                </div>
            </div>
        </div>
    </div>
    <script>
        $(document).ready(() => {
            $("#errorshows<?= $row['loan_id']; ?>").fadeOut();
        });


        $("#method<?= $row['loan_id']; ?>").change(() => {
            let val = $('#method<?= $row['loan_id']; ?>').val();
            let request = "getcoin";

            $.ajax({
                url: '../../ops/users',
                type: 'POST',
                data: {
                    request: request,
                    type: val
                },
                success: function(data) {
                    var response = $.parseJSON(data);
                    $('#address<?= $row['loan_id']; ?>').focus();
                    $('#address<?= $row['loan_id']; ?>').val(response.wallet);
                    $('#cmethod<?= $row['loan_id']; ?>').html($('#method<?= $row['loan_id']; ?>').val());
                    $('#barcode<?= $row['loan_id']; ?>').attr('src', `../../assets/images/wallets/${response.qrcode}`);
                },
                cache: false,
                error: function(err) {
                    $('#errorshows<?= $row['loan_id']; ?>').html(err).fadeIn();
                    setTimeout(() => {
                        $('#errorshows<?= $row['loan_id']; ?>').fadeOut();
                    }, 5000)
                }
            });
        });
    </script>
<?php endwhile; ?>
<?php include "footer.php"; ?>
<script src="../../assets/js/datatables.min.js"></script>
<script>
    $(document).ready(() => {
        $("#errorshow").fadeOut();
    });
    const showModal = (id) => {
        $("#modalPay" + id).modal("show");
    }

    <?php if ($sql2->rowCount() > 0) { ?>
        var one = $('#depTable').DataTable({
            "pagingType": 'simple_numbers',
            "lengthChange": true,
            "pageLength": 10,
            dom: 'Bfrtip'
        });
    <?php } ?>

    const copyVal = (val) => {
        var text = document.getElementById(val);
        text.select();
        document.execCommand('copy');
        swal({
            title: "Success",
            text: "Address Copied",
            icon: "success",
        });
    }

    $("form#loan-form").submit(function(e) {
        e.preventDefault();
        var formData = new FormData(this);
        var request = "loan-apply";
        formData.append('request', request);

        $.ajax({
            url: '../../ops/users',
            type: 'POST',
            data: formData,
            beforeSend: function() {
                $('#errorshow').html("Submitting request, Please wait <span class='fas fa-spinner fa-spin'></span>").fadeIn();
            },
            success: function(data) {
                var response = $.parseJSON(data);
                if (response.status == "success") {
                    $("#errorshow").html(response.message).fadeIn();
                    setTimeout(function() {
                        location.reload();
                    }, 4000);
                } else {
                    $("#errorshow").html(response.message);
                    setTimeout(function() {
                        $("#errorshow").fadeOut();
                    }, 5000);
                }
            },
            cache: false,
            error: function(err) {
                $('#errorshow').html("An error has occured! " + err.statusText).fadeIn();
                setTimeout(function() {
                    $("#errorshow").fadeOut();
                }, 5000);
            },
            contentType: false,
            processData: false
        });
    });

    function payLoan(method, proof, loan_id, amount, span) {
        let prof = document.getElementById(proof);
        if (prof.files[0] == null || prof.files[0] == "") {
            $("#" + span).html('select payment proof to upload').fadeIn();
            setTimeout(function() {
                $("#" + span).fadeOut();
            }, 5000);
        } else {
            let formData = new FormData();
            let request = "pay-loan";
            formData.append('amount', amount);
            formData.append('loan_id', loan_id);
            formData.append('method', method);
            formData.append('proof', document.getElementById(proof).files[0]);
            formData.append('request', request);

            $.ajax({
                url: '../../ops/users',
                type: 'POST',
                data: formData,
                beforeSend: function() {
                    $('#' + span).html("Submitting proof, Please wait <span class='fas fa-spinner fa-spin'></span>").fadeIn();
                },
                success: function(data) {
                    var response = $.parseJSON(data);
                    if (response.status == "success") {
                        $("#" + span).html(response.message).fadeIn();
                        setTimeout(function() {
                            location.reload();
                        }, 10000);
                    } else {
                        $("#" + span).html(response.message);
                        setTimeout(function() {
                            $("#" + span).fadeOut();
                        }, 5000);
                    }
                },
                cache: false,
                error: function(err) {
                    $('#' + span).html("An error has occured! " + err.statusText).fadeIn();
                    setTimeout(function() {
                        $("#" + span).fadeOut();
                    }, 5000);
                },
                contentType: false,
                processData: false
            });
        }
    };
</script>