<?php include "header.php"; ?>
<title>Notifications - <?= SITE_NAME; ?></title>
<main class="py-5 mt-5" id="content">
    <div class="container pt-5">
        <div class="card border border-1">
            <?php if (!isset($_GET['id'])) { ?>
                <div class="card-header py-3">
                    <h5 class="fw-bold text-uppercase text-center">Notifications <span class="badge badge-primary"><?= $notifCount; ?></span></h5>
                </div>
                <div class="card-body">
                    <div class="table-wrapper table-responsive">
                        <table class="table align-middle hoverable table-striped table-hover" id="notificationTable">
                            <thead class="">
                                <tr class="text-nowrap">
                                    <th scope="col" class="">ID</th>
                                    <th scope="col" class="">Date</th>
                                    <th scope="col" class="">Title</th>
                                    <th scope="col" class="">Message</th>
                                    <th scope="col" class="">Status</th>
                                    <th scope="col" class="">Action</th>
                                </tr>
                            </thead>
                            <?php
                            $sql2 = $db_conn->prepare("SELECT * FROM notifications WHERE mem_id = :mem_id ORDER BY main_id DESC");
                            $sql2->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
                            $sql2->execute();
                            $b = 1;
                            ?>
                            <tbody>
                                <?php if ($sql2->rowCount() < 1) { ?>
                                    <tr class="text-center">
                                        <td class='text-center' colspan='6'>No notifications available to show</td>
                                    </tr>
                                    <?php
                                } else {
                                    while ($row = $sql2->fetch(PDO::FETCH_ASSOC)) : ?>
                                        <tr class="text-nowrap <?= $row['status'] == 0 ? 'fw-bold' : '' ?>">
                                            <td class="text-start">#<?= $row['main_id']; ?></td>
                                            <td class="text-start"><?= $row['datetime']; ?></td>
                                            <td class="text-start"><?= $row['title']; ?></td>
                                            <td class="text-start"><?= substr($row['message'], 0, 50); ?>...</td>
                                            <td class="text-start">
                                                <?php
                                                if ($row['status'] == 1) {
                                                    echo "<span class='text-success'>Read</span>";
                                                } elseif ($row['status'] == 0) { ?>
                                                    <span class='text-warning'>Unread <span onclick="markRead('<?= $row['main_id']; ?>', '<?= $row['mem_id']; ?>')" style="cursor:pointer;" class="fas fa-check-circle text-success"></span></span>
                                                <?php } ?>
                                            </td>
                                            <td><a href="notifications?id=<?= $row['main_id']; ?>" class="btn btn-sm btn-outline-white"><span class="fas fa-check-circle"></span> View</a></td>
                                    <?php $b++;
                                    endwhile;
                                } ?>
                                        </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            <?php } else {
                $id = $_GET['id'];
                $sql = $db_conn->prepare("SELECT * FROM notifications WHERE mem_id = :mem_id AND main_id = :id");
                $sql->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
                $sql->bindParam(':id', $id, PDO::PARAM_STR);
                $sql->execute();
                if ($sql->rowCount() < 1) {
                    echo "<div class='alert alert-danger'>Notification not found.</div>";
                    exit();
                } else {
                    $row = $sql->fetch(PDO::FETCH_ASSOC);
                }
            ?>
                <div class="card-header py-3">
                    <h5 class="fw-bold text-uppercase text-center"><?= $row['title']; ?></span></h5>
                </div>
                <div class="card-body">
                    <div class="d-flex justify-content-between">
                        <small class=""><span class="fw-bold">Date:</span> <?= $row['datetime']; ?></small>
                        <?php if ($row['status'] == 0) { ?>
                            <a onclick="markRead('<?= $row['main_id']; ?>', '<?= $row['mem_id']; ?>')" class="btn btn-sm btn-outline-white"><span class="fas fa-check-circle"></span> Mark as read</a>
                        <?php } ?>
                    </div>
                    <hr />
                    <p><?= $row['message']; ?></p>
                </div>
            <?php } ?>
        </div>
    </div>
</main>
<?php include "footer.php"; ?>
<script>
    <?php if (!isset($_GET['id'])) {
        if ($sql2->rowCount() > 0) { ?>
            var one = $('#notificationTable').DataTable({
                "pagingType": 'simple_numbers',
                "lengthChange": true,
                "pageLength": 10,
                dom: 'Bfrtip'
            });
    <?php }
    } ?>

    function markRead(main_id, mem_id) {
        let request = "markRead";
        $.ajax({
            url: '../../ops/users',
            type: 'POST',
            data: {
                request: request,
                main_id,
                mem_id
            },
            success: function(data) {
                var response = $.parseJSON(data);
                if (response.status == "success") {
                    swal({
                        title: "Success",
                        text: response.message,
                        icon: "success",
                    });
                } else {
                    swal({
                        title: "Info",
                        text: response.message,
                        icon: "warning",
                    });
                }
            },
            error: function(err) {
                swal({
                    title: "Error",
                    text: err.statusText,
                    icon: "error",
                });
            }
        });
    }
</script>