<?php include 'header.php';
?>

<title>My Trades - <?= SITE_NAME; ?></title>

<main class="mt-5 pt-5" id="content">
    <div class="container pt-5">
        <div class="card border border-1 mb-5">
            <div class="card-header py-3">
                My trades
            </div>
            <div class="card-body py-3">
                <div class="table-wrapper table-responsive">
                    <table class="table align-middle hoverable table-striped table-hover" id="tradetable">
                        <thead class="orange darken-2 white-text">
                            <tr class="text-nowrap">
                                <th scope="col">ID</th>
                                <th scope="col">Date</th>
                                <th scope="col">Asset</th>
                                <th scope="col">Trade type</th>
                                <th scope="col">Outcome</th>
                                <th scope="col">Status</th>
                                <th scope="col">View</th>
                            </tr>
                        </thead>
                        <?php
                        // $nstats = 1;
                        $sql = $db_conn->prepare("SELECT * FROM trades WHERE mem_id = :mem_id ORDER BY main_id DESC");
                        $sql->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
                        $sql->execute();
                        $b = 1;
                        ?>
                        <tbody>
                            <?php if ($sql->rowCount() < 1) { ?>
                                <td class='text-center' colspan='7'>No open trades available to show</td>
                                <?php } else {
                                while ($row = $sql->fetch(PDO::FETCH_ASSOC)) : ?>
                                    <tr class="text-nowrap font-weight-bold">
                                        <td class="text-start">#<?= $row['tradeid']; ?></td>
                                        <td class="text-start"><?= $row['tradedate']; ?></td>
                                        <td class="text-start">
                                            <div class="d-flex">
                                                <img src="../../assets/images/svgs/<?= strtolower($row['asset']); ?>-image.svg" width="26" height='26' class="img-fluid rouded-circle pe-2">
                                                <?= $row['small_name']; ?>
                                            </div>
                                        </td>
                                        <td class="text-start">
                                            <?php if ($row['tradetype'] == "Buy") {
                                                echo "<span class='text-success'>Buy</span>";
                                            } elseif ($row['tradetype'] == "Sell") {
                                                echo "<span class='text-danger'>Sell</span>";
                                            } ?>
                                        </td>
                                        <td class="text-start"><?= $row['outcome']; ?></td>
                                        <td class="text-start">
                                            <?php if ($row['tradestatus'] == 1) {
                                                echo "<span class='text-success'>Open</span>";
                                            } elseif ($row['tradestatus'] == 0) {
                                                echo "<span class='text-warning'>Closed</span>";
                                            } ?></td>
                                        <td class="text-start"><a href="./tradedetails?tradeid=<?= $row['tradeid']; ?>" class="btn btn-sm blue-algo-gradient btn-rounded">View</a></td>
                                    </tr>
                            <?php $b++;
                                endwhile;
                            } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <div class="card border border-1">
                    <div class="card-body">
                        <div class="d-flex align-items-center justify-content-between mb-3">
                            <div class="">
                                <h5 class="fw-bold">Earning history</h5>
                            </div>
                        </div>
                        <div class="table-wrapper table-responsive">
                            <table class="table">
                                <thead>
                                    <th class="text-nowrap">SN</th>
                                    <th class="text-nowrap">Date</th>
                                    <th class="text-nowrap">Outcome</th>
                                    <th class="text-nowrap">Amount</th>
                                    <th class="text-nowrap">Action</th>
                                </thead>
                                <tbody>
                                    <?php
                                    
                                    $sql2 = $db_conn->prepare("SELECT * FROM earninghistory WHERE mem_id = :mem_id ORDER BY main_id DESC");
                                    $sql2->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
                                    $sql2->execute();
                                    if ($sql2->rowCount() < 1) {
                                        echo "<tr class='text-center'><td colspan='5'>No earning history available to show</td></tr>";
                                    } else {
                                        $n = 1;
                                        while ($row2 = $sql2->fetch(PDO::FETCH_ASSOC)) :
                                    ?>
                                            <tr class="text-nowrap">
                                                <td><?= $n; ?></td>
                                                <td><?= $row2['earndate']; ?></td>
                                                <td><?= $row2['outcome'] == 'Profit' ? '<span class="text-success fw-bold">Profit</span>' : '<span class="text-danger fw-bold">Loss</span>'; ?></td>
                                                <td><?= $symbol; ?><?= number_format($row2['amount'], 2); ?></td>
                                                <td><a href="./tradedetails?tradeid=<?= $row2['tradeid']; ?>" class="btn btn-sm blue-algo-gradient"><span class="">View</span></a></td>
                                            </tr>
                                    <?php $n++;
                                        endwhile;
                                    } ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
<?php
include 'footer.php';
?>