<?php include "header.php";

if (isset($_GET['planid']) and isset($_GET['mem_id'])) {
    $planid = $_GET['planid'];
    $mem_id = $_GET['mem_id'];

    $sqls = $db_conn->prepare(query: "SELECT * FROM userplans WHERE main_id = :planid AND mem_id = :mem_id");
    $sqls->bindParam(':planid', $planid, PDO::PARAM_STR);
    $sqls->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
    $sqls->execute();
    $rowsp = $sqls->fetch(PDO::FETCH_ASSOC);
} else {
    header('Location: ' . $_SERVER['HTTP_REFERER']);
}

?>
<title>Transaction details</title>
<main class="py-5 mt-5" id="content">
    <div class="container">
        <div class="card shadow-3 my-3 border border-1 border-primary">
            <div class="card-body">
                <h4 class="fw-bold text-center">Upgrade AI Plan</h4>
                <hr>
                <form id="upgrade" enctype="multipart/form-data" method="POST">
                    <div class="my-3 me-auto ms-auto">
                        <p class="alert alert-primary" id="errorshows"></p>
                    </div>
                    <div class="my-3">
                        <select class="select" required id="plan" name="plan">
                            <option class="" disabled selected>--Select plan--</option>
                            <option value="bronze" <?= $rowsp['userplan'] == "bronze" ? "selected" : ""; ?>>Bronze ($50) </option>
                            <option value="silver" <?= $rowsp['userplan'] == "silver" ? "selected" : "disabled"; ?>>Silver ($200)</option>
                            <option value="gold" <?= $rowsp['userplan'] == "gold" ? "selected" : "disabled"; ?>>Gold ($1,000)</option>
                        </select>
                    </div>
                    <div class="select-wrapper my-3">
                        <select class="select" name="duration" id="duration" required="">
                            <option disabled selected>--Select Duration--</option>
                            <option <?= $rowsp['planduration'] == "1 day" ? 'selected' : ''; ?> value="1 day">1 day</option>
                            <option <?= $rowsp['planduration'] == "3 days" ? 'selected' : ''; ?> value="3 days">3 days</option>
                            <option <?= $rowsp['planduration'] == "1 week" ? 'selected' : ''; ?> value="1 week">1 week</option>
                            <option <?= $rowsp['planduration'] == "2 weeks" ? 'selected' : ''; ?> value="2 weeks">2 weeks</option>
                            <option <?= $rowsp['planduration'] == "1 month" ? 'selected' : ''; ?> value="1 month">1 month</option>
                            <option <?= $rowsp['planduration'] == "2 months" ? 'selected' : ''; ?> value="2 months">2 months</option>
                            <option <?= $rowsp['planduration'] == "3 months" ? 'selected' : ''; ?> value="3 months">3 months</option>
                            <option <?= $rowsp['planduration'] == "6 months" ? 'selected' : ''; ?> value="6 months">6 months</option>
                            <option <?= $rowsp['planduration'] == "1 year plus" ? 'selected' : ''; ?> value="1 year plus">1 Year and above</option>
                        </select>
                    </div>
                    <div class="form-outline my-3">
                        <input type="date" placeholder="" value="<?= $rowsp['end_date'] == NULL ? date('Y-m-d') : date('Y-m-d', strtotime($rowsp['end_date'])); ?>" name="end_date" id="end_date" class="form-control" />
                        <label class="form-label" for="end_date">End Date</label>
                    </div>
                    <!--  -->
                    <div class="select-wrapper my-3">
                        <select class="select" name="status" id="status" required="">
                            <option disabled selected>--Select Status--</option>
                            <option <?= $rowsp['status'] == 0 ? 'selected' : ''; ?> value="0">Pending</option>
                            <option <?= $rowsp['status'] == 1 ? 'selected' : ''; ?> value="1">Running</option>
                            <option <?= $rowsp['status'] == 2 ? 'selected' : ''; ?> value="2">Completed</option>
                        </select>
                    </div>
                    <div class="my-3" align="center">
                        <button type="submit" class="btn btn-md btn-primary btn-rounded">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</main>
<?php include "footer.php"; ?>
<script>
    $(document).ready(function() {
        $("#errorshows").fadeOut();
        // $("#end_date").focus();
    });

    $("form#upgrade").submit(function(e) {
        e.preventDefault();
        var formData = new FormData(this);
        var request = "updatePlan";
        var mem_id = "<?= $mem_id; ?>";
        var planid = "<?= $planid; ?>";
        formData.append('request', request);
        formData.append('mem_id', mem_id);
        formData.append('planid', planid);
        $.ajax({
            url: '../../ops/adminauth',
            type: 'POST',
            data: formData,
            beforeSend: function() {
                $('#errorshows').html("Processing <span class='fas fa-spinner fa-spin'></span>").fadeIn();
            },
            success: function(data) {
                if (data == "success") {
                    $('#errorshows').html("<span class='fas fa-check-circle'></span> Plan set successfully").fadeIn();
                    setTimeout(function() {
                        location.reload();
                    }, 3000)
                } else {
                    $("#errorshows").html("<span class='fas fa-exclamation-triangle'></span> " + data).fadeIn();
                }
            },
            cache: false,
            error: function(err) {
                $('#errorshows').html("<span class='fas fa-exclamation-triangle'></span> An error has occured!!" + err).fadeIn();
            },
            contentType: false,
            processData: false
        });
    });
</script>