<?php include 'header.php'; ?>
<title>Dashboard | <?= SITE_NAME; ?></title>
<main class="pt-4" id="content">
	<div class="container-fluid text-start pt-5">
		<h3 class="font-weight-bold ps-3"><i class="fas fa-tachometer-alt"></i> Hello, <?= $admusername; ?></h3>
		<p class="small mt-0 pt-0 ps-3">Account Summary</p>
		<div class="card border-1">
			<div class="card-body">
				<div class="row g-1">
					<div class="col-md-3 mt-2" onclick="redir('./users');" style="cursor: pointer;">
						<div class="card shadow-5">
							<div class="card-body">
								<h1 class="text-center"><span class="fas fa-fw fa-users" style="font-size: 34px;"></span></h1>
								<h5 class="text-center font-weight-bold">All Users</h5>
								<h3 class="text-center font-weight-bold"><?= $totalusers; ?></h3>
								<div id="profitChart"></div>
							</div>
						</div>
					</div>
					<div class="col-md-3 mt-2" onclick="redir('./approvewit');" style="cursor: pointer;">
						<div class="card shadow-5">
							<div class="card-body">
								<h1 class="text-center"><span class="fas fa-fw fa-credit-card" style="font-size: 34px;"></span></h1>
								<h5 class="text-center font-weight-bold text-primary">Awaiting Withdrawals</h5>
								<h3 class="text-center font-weight-bold"><?= $allWit; ?></h3>
								<div id="bonusChart"></div>
							</div>
						</div>
					</div>
					<div class="col-md-3 mt-2 mb-3" onclick="redir('./deposit');" style="cursor: pointer;">
						<div class="card shadow-5">
							<div class="card-body">
								<h1 class="text-center"><span class="fas fa-fw fa-file-invoice-dollar" style="font-size: 34px;"></span></h1>
								<h5 class="text-center font-weight-bold">Awaiting Deposits</h5>
								<h3 class="text-center font-weight-bold"><?= $allDep; ?></h3>
								<div id="depositChart"></div>
							</div>
						</div>
					</div>
					<div class="col-md-3 mt-2 mb-3" onclick="redir('./loans');" style="cursor: pointer;">
						<div class="card shadow-5">
							<div class="card-body">
								<h1 class="text-center"><span class="fas fa-fw fa-piggy-bank" style="font-size: 34px;"></span></h1>
								<h5 class="text-center font-weight-bold">Awaiting Loans</h5>
								<h3 class="text-center font-weight-bold"><?= $allLoans; ?></h3>
								<div id="loanChart"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="card rounded-2 my-3 shadow-3">
			<div class="card-body border-1">
				<h4 class="fw-bold">Registered Users</h4>
				<div class="my-2">
					<p class="alert alert-primary" id="errorshow1"></p>
				</div>
				<div class="table-wrapper table-responsive">
					<table class="table table-striped table-hover" id="alluser">
						<thead>
							<tr class="text-nowrap">
								<th scope="col-sm" class="">S/N</th>
								<th scope="col" class="">Full Name</th>
								<th scope="col" class="">Username</th>
								<th scope="col" class="">Email</th>
								<th scope="col" class="">Phone</th>
								<th scope="col" class="">Delete</th>
								<th scope="col" class="">View</th>
							</tr>
						</thead>
						<?php
						$sql = $db_conn->prepare("SELECT * FROM members ORDER BY main_id DESC LIMIT 5");
						$sql->execute();
						$b = 1;
						?>
						<tbody>
							<div class="text-center" align="center">
								<?php if ($sql->rowCount() < 1) {
									echo "<td class='text-center' colspan='10'>No data available</td>";
								} else {
									while ($row = $sql->fetch(PDO::FETCH_ASSOC)) : ?></div>
							<tr class="text-nowrap">
								<td class="text-start"> <?= $b; ?></td>
								<td class="text-start"><?= $row['fullname']; ?></td>
								<td class="text-start"><?= $row['username']; ?></td>
								<td class="text-start"><?= $row['email']; ?></td>
								<td class="text-start"><?= $row['phone']; ?></td>
								<td class="text-start"><button class='btn btn-sm btn-rounded btn-danger' onclick="del('<?= $row['mem_id']; ?>', '<?= $row['username']; ?>', '<?= $row['photo']; ?>')">Delete</button></td>
								<td class="text-start"><a class='btn btn-sm btn-rounded btn-primary' href="user?user=<?= $row['mem_id']; ?>">View</a></td>
						<?php $b++;
									endwhile;
								} ?>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<div class="card py-4 mt-3 mb-5 z-depth-2 shadow-3">
			<div class="card-body">
				<h4 class="font-weight-bold">Crypto Market Prices</h4>
				<div class="cryptohopper-web-widget" data-theme="dark" data-id="1" data-numcoins="14" data-realtime="on" data-table_length="10"></div>
			</div>
		</div>
	</div>
</main>
<!--Main layout-->
</body>

<?php include 'footer.php'; ?>
<script src="../../assets/js/jquery-redirect.js"></script>
<script src="https://www.cryptohopper.com/widgets/js/script"></script>
<script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>

<script>
	$(document).ready(function() {
		$("#errorshow1").hide();

		var one = $('#alluser').DataTable({
			"pagingType": 'simple_numbers',
			"lengthChange": true,
			"pageLength": 10,
			dom: 'Bfrtip'
		});
	});

	Apex.grid = {
		padding: {
			right: 0,
			left: 0,
		},
	};

	Apex.dataLabels = {
		enabled: false,
	};

	let d1 = [10, 40, 30, 40, 50];
	let p2 = [40, 70, 30, 40, 20];
	let b3 = [600, 300, 700, 290, 420];
	let l4 = [100, 2000, 100, 290, 2080];


	//////////////////////////////// Charts

	// the default colorPalette for this dashboard
	//var colorPalette = ['#01BFD6', '#5564BE', '#F7A600', '#EDCD24', '#F74F58'];
	var colorPalette = ["#00D8B6", "#008FFB", "#FEB019", "#FF4560", "#775DD0"];

	let depositBal = {
		chart: {
			id: "sparkline1",
			group: "sparklines",
			type: "area",
			height: 190,
			sparkline: {
				enabled: true,
			},
		},
		stroke: {
			curve: "smooth",
		},
		fill: {
			opacity: 1,
		},
		series: [{
			name: "Sales",
			data: d1,
		}, ],
		labels: [1, 2, 3, 4, 5],
		yaxis: {
			min: 0,
		},
		xaxis: {
			type: "datetime",
		},
		colors: ["#008FFB"],
		tooltip: {
			enabled: false,
		},
	};

	let profitBal = {
		chart: {
			id: "sparkline2",
			group: "sparklines",
			type: "area",
			height: 190,
			sparkline: {
				enabled: true,
			},
		},
		stroke: {
			curve: "smooth",
		},
		fill: {
			opacity: 1,
		},
		series: [{
			name: "Sales",
			data: p2,
		}, ],
		labels: [1, 2, 3, 4, 5],
		yaxis: {
			min: 0,
		},
		xaxis: {
			type: "datetime",
		},
		colors: ["#00D8B6"],
		tooltip: {
			enabled: false,
		},
	};

	let bonusBal = {
		chart: {
			id: "sparkline3",
			group: "sparklines",
			type: "area",
			height: 190,
			sparkline: {
				enabled: true,
			},
		},
		stroke: {
			curve: "smooth",
		},
		fill: {
			opacity: 1,
		},
		series: [{
			name: "Sales",
			data: b3,
		}, ],
		labels: [1, 2, 3, 4, 5],
		yaxis: {
			min: 0,
		},
		xaxis: {
			type: "datetime",
		},
		colors: ["#F7A600"],
		tooltip: {
			enabled: false,
		},
	};

	let loanBal = {
		chart: {
			id: "sparkline1",
			group: "sparklines",
			type: "area",
			height: 190,
			sparkline: {
				enabled: true,
			},
		},
		stroke: {
			curve: "smooth",
		},
		fill: {
			opacity: 1,
		},
		series: [{
			name: "Sales",
			data: l4,
		}, ],
		labels: [1, 2, 3, 4, 5],
		yaxis: {
			min: 0,
		},
		xaxis: {
			type: "datetime",
		},
		colors: ["#775DD0"],
		tooltip: {
			enabled: false,
		},
	};

	new ApexCharts(document.querySelector("#depositChart"), depositBal).render();
	new ApexCharts(document.querySelector("#profitChart"), profitBal).render();
	new ApexCharts(document.querySelector("#bonusChart"), bonusBal).render();
	new ApexCharts(document.querySelector("#loanChart"), loanBal).render();
</script>