<?php include "header.php";

if (!isset($_GET['loan_id'])) {
    header('Location: ' . $_SERVER['HTTP_REFERER']);
} else {
    $loan_id = $_GET['loan_id'];

    $getLoans = $db_conn->prepare("SELECT members.username, members.currency, loans.* FROM members, loans WHERE loans.loan_id = :loan_id AND members.mem_id = loans.mem_id");
    $getLoans->bindParam(":loan_id", $loan_id, PDO::PARAM_STR);
    $getLoans->execute();
    if ($getLoans->rowCount() < 1) {
        header('Location: ' . $_SERVER['HTTP_REFERER']);
    } else {
        $row = $getLoans->fetch(PDO::FETCH_ASSOC);
        $mem_id = $row['mem_id'];
        $amount = $row['amount'];
        $duration = $row['duration'];
        $loanstatus = $row['loanstatus'];
        switch ($row['currency']) {
            case 'USD':
                $symbol = "$";
                break;
            case 'EUR':
                $symbol = "€";
                break;
            case 'GBP':
                $symbol = "£";
                break;
            case 'CAD':
                $symbol = "$";
                break;
            case 'PES':
                $symbol = "₱";
                break;
            case 'BRL':
                $symbol = "R$";
                break;
            case 'ZAR':
                $symbol = "R";
                break;
            default:
                $symbol = "$";
                break;
        }
    }
}

?>
<title>Loan Application details</title>
<main class="py-5 mt-5" id="content">
    <div class="container">
        <div class="card border border-1 border-primary">
            <div class="card-body">
                <h5 class="text-center mb-4 text-uppercase">Loan Details</h5>
                <div class="border-bottom border-4 w-50 mb-4 me-auto ms-auto"></div>
                <div class="">
                    <div class="d-flex justify-content-between align-items-center mb-3">
                        <div class="fw-bold w-100">
                            <h6 class="fw-bold">Username: </h6>
                        </div>
                        <div class="w-100">
                            <p class=""><?= $row['username']; ?></p>
                        </div>
                    </div>
                    <div class="border-bottom border-2 mb-4"></div>
                    <div class="d-flex justify-content-between align-items-center mb-3">
                        <div class="fw-bold w-100">
                            <h6 class="fw-bold">Amount: </h6>
                        </div>
                        <div class="w-100">
                            <p class=""><?= $symbol . " " . number_format($row['amount'], 2); ?></p>
                        </div>
                    </div>
                    <div class="border-bottom border-2 mb-4"></div>
                    <div class="d-flex justify-content-between align-items-center mb-3">
                        <div class="fw-bold w-100">
                            <h6 class="fw-bold">Duration: </h6>
                        </div>
                        <div class="text-start w-100">
                            <p class=""><?= $row['duration']; ?></p>
                        </div>
                    </div>
                    <div class="border-bottom border-2 mb-4"></div>
                    <div class="d-flex justify-content-between align-items-center mb-3">
                        <div class="fw-bold w-100">
                            <h6 class="fw-bold">Date Applied: </h6>
                        </div>
                        <div class="text-start w-100">
                            <p class=""><?= $row['loandate']; ?></p>
                        </div>
                    </div>
                    <div class="border-bottom border-2 mb-4"></div>
                    <div class="d-flex justify-content-between align-items-center mb-3">
                        <div class="fw-bold w-100">
                            <h6 class="fw-bold">Total Repayment Amount: </h6>
                        </div>
                        <div class="text-start w-100">
                            <p class=""><?= $symbol . " " . number_format($row['repayamount'], 2); ?></p>
                        </div>
                    </div>
                    <div class="border-bottom border-2 mb-4"></div>
                    <div class="d-flex justify-content-between align-items-center mb-3">
                        <div class="fw-bold w-100">
                            <h6 class="fw-bold">Interest (APR%): </h6>
                        </div>
                        <div class="text-start w-100">
                            <p class=""><?= $row['interest']; ?>%</p>
                        </div>
                    </div>
                    <div class="border-bottom border-2 mb-4"></div>
                    <div class="d-flex justify-content-between align-items-center mb-3">
                        <div class="fw-bold w-100">
                            <h6 class="fw-bold">Income: </h6>
                        </div>
                        <div class="text-start w-100">
                            <p class="">
                                <?php
                                switch ($row['income']) {
                                    case "2000-5000":
                                        echo $symbol . " " . number_format(2000, 2) . " - " . $symbol . " " . number_format(5000, 2);
                                        break;
                                    case "6000-10000":
                                        echo $symbol . " " . number_format(6000, 2) . " - " . $symbol . " " . number_format(10000, 2);
                                        break;
                                    case "11000-20000":
                                        echo $symbol . " " . number_format(11000, 2) . " - " . $symbol . " " . number_format(20000, 2);
                                        break;
                                    case "21000-50000":
                                        echo $symbol . " " . number_format(21000, 2) . " - " . $symbol . " " . number_format(50000, 2);
                                        break;
                                    case "100000":
                                        echo $symbol . " " . number_format(100000, 2) . " and Above";
                                        break;
                                    default:
                                        echo $symbol . " " . number_format(2000, 2) . " - " . $symbol . " " . number_format(5000, 2);
                                        break;
                                }
                                ?>
                            </p>
                        </div>
                    </div>
                    <?php if ($row['proof'] != NULL || $row['proof'] != "") { ?>
                        <div class="border-bottom border-2 mb-4"></div>
                        <div class="d-flex justify-content-between align-items-center mb-3">
                            <div class="fw-bold w-100">
                                <h6 class="fw-bold">Payment Proof: </h6>
                            </div>
                            <div class="text-start w-100">
                                <p class=""><a class="btn btn-sm btn-rounded btn-primary" target="_blank" href="../../assets/images/proof/<?= $row['proof']; ?>">View</a></p>
                            </div>
                        </div>
                        <div class="border-bottom border-2 mb-4"></div>
                        <div class="d-flex justify-content-between align-items-center mb-3">
                            <div class="fw-bold w-100">
                                <h6 class="fw-bold">Payment Method: </h6>
                            </div>
                            <div class="text-start w-100">
                                <p class=""><?= $row['method']; ?></p>
                            </div>
                        </div>
                        <div class="border-bottom border-2 mb-4"></div>
                        <div class="d-flex justify-content-between align-items-center mb-3">
                            <div class="fw-bold w-100">
                                <h6 class="fw-bold">Payment Date: </h6>
                            </div>
                            <div class="text-start w-100">
                                <p class=""><?= $row['paymentdate']; ?></p>
                            </div>
                        </div>
                    <?php } ?>
                    <div class="border-bottom border-2 mb-4"></div>
                    <div class="d-flex justify-content-between align-items-center mb-3">
                        <div class="fw-bold w-100">
                            <h6 class="fw-bold">Loan Status: </h6>
                        </div>
                        <div class="text-start w-100">
                            <p class="">
                                <?php
                                if ($row['loanstatus'] == 0) {
                                    echo "<span class='text-warning'>Pending</span>";
                                } elseif ($row['loanstatus'] == 1) {
                                    echo "<span class='text-info'>Approved</span>";
                                } elseif ($row['loanstatus'] == 2) {
                                    echo "<span class='text-danger'>Rejected</span>";
                                } elseif ($row['loanstatus'] == 3) {
                                    echo "<span class='text-secondary'>Repaid</span>";
                                } elseif ($row['loanstatus'] == 4) {
                                    echo "<span class='text-success'>Completed</span>";
                                }
                                ?>
                            </p>
                        </div>
                    </div>
                    <h4 class="fw-bold text-center">Update Loan</h4>
                    <hr>
                    <form id="updateLoan" enctype="multipart/form-data" method="POST">
                        <div class="my-3 me-auto ms-auto">
                            <p class="alert alert-primary" id="errorshows"></p>
                        </div>
                        <div class="form-outline my-3">
                            <i class="fas fa-dollar-sign trailing"></i>
                            <input type="text" min="10" placeholder="10%,20%,30%,40% ... 100%" id="interest" value="<?= $row['interest']; ?>" required name="interest" class="form-control form-icon-trailing">
                            <label class="form-label" for="profit">Interest</label>
                        </div>
                        <div class="select-wrapper my-3">
                            <label class="form-label" for="status">Loan status</label>
                            <select class="select" name="status" id="status" required="">
                                <option disabled selected>--Select Status--</option>
                                <option <?= $row['loanstatus'] == 0 ? 'selected' : ''; ?> value="0">Pending</option>
                                <option <?= $row['loanstatus'] == 1 ? 'selected' : ''; ?> value="1">Approved</option>
                                <option <?= $row['loanstatus'] == 2 ? 'selected' : ''; ?> value="2">Rejected</option>
                                <option <?= $row['loanstatus'] == 3 ? 'selected' : ''; ?> value="3">Repaid</option>
                                <option <?= $row['loanstatus'] == 4 ? 'selected' : ''; ?> value="4">Completed</option>
                            </select>
                        </div>
                        <div class="my-3" align="center">
                            <button type="submit" class="btn btn-md btn-primary btn-rounded">Submit</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

    </div>
</main>
<?php include "footer.php"; ?>
<script>
    $(document).ready(() => {
        $("#errorshows").fadeOut();
    });

    $("form#updateLoan").submit(function(e) {
        e.preventDefault();
        var formData = new FormData(this);
        var request = "updateLoan";
        var mem_id = "<?= $mem_id; ?>";
        var loan_id = "<?= $loan_id; ?>";
        var amount = "<?= $amount; ?>";
        var duration = "<?= $duration; ?>";
        var loanstatus = "<?= $loanstatus; ?>";
        formData.append('request', request);
        formData.append('mem_id', mem_id);
        formData.append('amount', amount);
        formData.append('duration', duration);
        formData.append('loan_id', loan_id);
        formData.append('loanstatus', loanstatus);

        $.ajax({
            url: '../../ops/adminauth',
            type: 'POST',
            data: formData,
            beforeSend: function() {
                $('#errorshows').html("Please wait <span class='fas fa-1x fa-spinner fa-spin'></span>").fadeIn();
            },
            success: function(data) {
                if (data == "success") {
                    $('#errorshows').html("<span class='fas fa-check-circle'></span> Loan details updated successfully").fadeIn();
                    setTimeout(function() {
                        location.reload();
                    }, 3000)
                } else {
                    $("#errorshows").html("<span class='fas fa-exclamation-triangle'></span> " + data).fadeIn();
                }
            },
            cache: false,
            error: function(err) {
                $('#errorshows').html("<span class='fas fa-exclamation-triangle'></span> An error has occured!!" + err).fadeIn();
            },
            contentType: false,
            processData: false
        });
    });
</script>