<?php include "header.php"; ?>
<title>Loan Requests - <?= SITE_NAME; ?></title>
<main class="py-5 mt-5" id="content">
    <div class="container pt-5">
        <div class="card border border-1 border-primary mt-3">
            <div class="card-body p-2">
                <div class="border-bottom border-2 pb-1 mb-3">
                    <h5 class="fw-bold text-center">Loan Requests</h5>
                </div>
                <div class="table-wrapper table-responsive">
                    <table class="table align-middle hoverable table-striped table-hover" id="loanTable">
                        <thead class="">
                            <tr class="text-nowrap">
                                <th scope="col" class="">ID</th>
                                <th scope="col" class="">Amount</th>
                                <th scope="col" class="">Username</th>
                                <th scope="col" class="">Date</th>
                                <th scope="col" class="">Repayment</th>
                                <th scope="col" class="">Duration</th>
                                <th scope="col" class="">Interest</th>
                                <th scope="col" class="">Income</th>
                                <th scope="col" class="">Status</th>
                                <th scope="col" class="">Repay Loan</th>
                            </tr>
                        </thead>
                        <?php
                        $sql2 = $db_conn->prepare("SELECT members.username, members.currency, loans.* FROM members, loans WHERE members.mem_id = loans.mem_id ORDER BY loans.main_id DESC");
                        $sql2->execute();
                        ?>
                        <tbody>
                            <?php if ($sql2->rowCount() < 1) { ?>
                                <tr class="text-center">
                                    <td class='text-center' colspan='9'>No record available to show</td>
                                </tr>
                                <?php
                            } else {
                                while ($row = $sql2->fetch(PDO::FETCH_ASSOC)) :
                                    switch ($row['currency']) {
                                        case 'USD':
                                            $symbol = "$";
                                            break;
                                        case 'EUR':
                                            $symbol = "€";
                                            break;
                                        case 'GBP':
                                            $symbol = "£";
                                            break;
                                        case 'CAD':
                                            $symbol = "$";
                                            break;
                                        case 'PES':
                                            $symbol = "₱";
                                            break;
                                        case 'BRL':
                                            $symbol = "R$";
                                            break;
                                        case 'ZAR':
                                            $symbol = "R";
                                            break;
                                        default:
                                            $symbol = "$";
                                            break;
                                    }
                                ?>
                                    <tr class="text-nowrap">
                                        <td class="text-start">#<?= $row['loan_id']; ?></td>
                                        <td class="text-start"><?= $row['username']; ?></td>
                                        <td class="text-start"><?= $symbol . " " . number_format($row['amount'], 2); ?></td>
                                        <td class="text-start"><?= $row['loandate']; ?></td>
                                        <td class="text-start"><?= $symbol . " " . number_format($row['repayamount'], 2); ?></td>
                                        <td class="text-start"><?= $row['duration']; ?></td>
                                        <td class="text-start"><?= $row['interest']; ?>%</td>
                                        <td class="text-start">
                                            <?php
                                            switch ($row['income']) {
                                                case "2000-5000":
                                                    echo $symbol . " " . number_format(2000, 2) . " - " . $symbol . " " . number_format(5000, 2);
                                                    break;
                                                case "6000-10000":
                                                    echo $symbol . " " . number_format(6000, 2) . " - " . $symbol . " " . number_format(10000, 2);
                                                    break;
                                                case "11000-20000":
                                                    echo $symbol . " " . number_format(11000, 2) . " - " . $symbol . " " . number_format(20000, 2);
                                                    break;
                                                case "21000-50000":
                                                    echo $symbol . " " . number_format(21000, 2) . " - " . $symbol . " " . number_format(50000, 2);
                                                    break;
                                                case "100000":
                                                    echo $symbol . " " . number_format(100000, 2) . " and Above";
                                                    break;
                                                default:
                                                    echo $symbol . " " . number_format(2000, 2) . " - " . $symbol . " " . number_format(5000, 2);
                                                    break;
                                            }
                                            ?>
                                        </td>
                                        <td class="text-start">
                                            <?php
                                            if ($row['loanstatus'] == 0) {
                                                echo "<span class='text-warning'>Pending</span>";
                                            } elseif ($row['loanstatus'] == 1) {
                                                echo "<span class='text-info'>Approved</span>";
                                            } elseif ($row['loanstatus'] == 2) {
                                                echo "<span class='text-danger'>Rejected</span>";
                                            } elseif ($row['loanstatus'] == 3) {
                                                echo "<span class='text-secondary'>Repaid</span>";
                                            } elseif ($row['loanstatus'] == 4) {
                                                echo "<span class='text-success'>Completed</span>";
                                            }
                                            ?>
                                        </td>
                                        <td class="text-start"><a href="loandetails?loan_id=<?= $row['loan_id']; ?>" class="btn btn-sm btn-rounded btn-primary">View Details</a></td>
                                <?php endwhile;
                            } ?>
                                    </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</main>
<?php include "footer.php"; ?>
<script>
    <?php if ($sql2->rowCount() > 0) { ?>
        var one = $('#loanTable').DataTable({
            "pagingType": 'simple_numbers',
            "lengthChange": true,
            "pageLength": 10,
            dom: 'Bfrtip'
        });
    <?php } ?>
</script>