<?php include "header.php";

if (isset($_GET['type']) and isset($_GET['transc_id'])) {
    $transcid = $_GET['transc_id'];
    $type = $_GET['type'];
    $mem_id = $_GET['mem_id'];

    $getuser = $db_conn->prepare("SELECT currency, username FROM members WHERE mem_id = :mem_id");
    $getuser->bindParam(":mem_id", $mem_id, PDO::PARAM_STR);
    $getuser->execute();

    if ($getuser->rowCount() < 1) {
        header('Location: ' . $_SERVER['HTTP_REFERER']);
    } else {
        $userrow = $getuser->fetch(PDO::FETCH_ASSOC);
        switch ($userrow['currency']) {
            case 'USD':
                $symbol = "$";
                break;
            case 'EUR':
                $symbol = "€";
                break;
            case 'GBP':
                $symbol = "£";
                break;
            case 'CAD':
                $symbol = "$";
                break;
            case 'PES':
                $symbol = "₱";
                break;
            case 'BRL':
                $symbol = "R$";
                break;
            case 'ZAR':
                $symbol = "R";
                break;
            default:
                $symbol = "$";
                break;
        }
    }
} else {
    header('Location: ' . $_SERVER['HTTP_REFERER']);
}

?>
<title>Transaction details</title>
<main class="py-5" id="content">
    <div class="container pt-5">
        <?php switch ($type) {
            case 'deposit':
                $select = $db_conn->prepare("SELECT * FROM deptransc WHERE transc_id = :transc_id AND mem_id = :mem_id");
                $select->bindParam(':transc_id', $transcid, PDO::PARAM_STR);
                $select->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
                $select->execute();
                if ($select->rowCount() < 1) {
                    header('Location: ' . $_SERVER['HTTP_REFERER']);
                    exit();
                } else {
                    $row = $select->fetch(PDO::FETCH_ASSOC);
                }
        ?>
                <div class="card border border-1">
                    <div class="card-body">
                        <h5 class="text-center mb-4 text-uppercase">Deposit Details</h5>
                        <div class="border-bottom border-4 w-50 mb-4 me-auto ms-auto"></div>
                        <div class="container">
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Username: </h6>
                                </div>
                                <div class="text-start w-100">
                                    <p class=""><?= $userrow['username']; ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Amount: </h6>
                                </div>
                                <div class="w-100">
                                    <p class=""><?= $symbol; ?><?= number_format($row['amount'], 2); ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Payment method: </h6>
                                </div>
                                <div class="text-start w-100">
                                    <p class=""><?= $row['crypto_name']; ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Date: </h6>
                                </div>
                                <div class="w-100">
                                    <p class=""><?= $row['date_added']; ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Status: </h6>
                                </div>
                                <div class="w-100">
                                    <p class="fw-bold">
                                        <?= $row['status'] == 0 && $row['proof'] != NULL ? '<span class="text-warning">Processing</span>' : ($row['status'] == 1 ? '<span class="text-success">Completed</span>' : ($row['status'] == 0 ? '<span class="text-warning">Pending</span>' : '<span class="text-danger">Failed</span>')); ?>
                                    </p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <?php if ($row['proof'] !== NULL) { ?>
                                <div class="d-flex justify-content-between align-items-center mb-3">
                                    <div class="fw-bold w-100">
                                        <h6 class="fw-bold">Payment proof: </h6>
                                    </div>
                                    <div class="w-100">
                                        <a class="btn btn-sm btn-primary" target="_blank" href="../../assets/images/proof/<?= $row['proof']; ?>">view</a>
                                    </div>
                                </div>
                            <?php } ?>
                            <p>Actions</p>
                            <hr />
                            <div class="text-center">
                                <p class="alert alert-primary" id="errorshow1"></p>
                                <?php if ($row['status'] != 1) { ?>
                                    <button type='button' class='btn btn-primary btn-rounded btn-sm mx-2' onclick="approvedep('<?= $row['mem_id']; ?>', '<?= $row['amount']; ?>', '<?= $row['transc_id']; ?>')"> Approve</button>
                                <?php } ?>
                                <?php if ($row['status'] != 2) { ?>
                                    <button type='button' class='btn btn-warning btn-rounded btn-sm mx-2' onclick="faildep('<?= $row['mem_id']; ?>', '<?= $row['amount']; ?>', '<?= $row['transc_id']; ?>', '<?= $row['status']; ?>')"> Fail</button>
                                <?php } ?>

                                <button type='button' class='btn btn-danger btn-rounded btn-sm mx-2' onclick="deleteFunc('deleteDep', '<?= $row['mem_id']; ?>', '<?= $row['transc_id']; ?>', 'errorshow1')"> Delete</button>
                            </div>
                        </div>
                    </div>
                </div>
            <?php break;
            case 'withdrawal':
                $select = $db_conn->prepare("SELECT * FROM wittransc WHERE transc_id = :transc_id AND mem_id = :mem_id");
                $select->bindParam(':transc_id', $transcid, PDO::PARAM_STR);
                $select->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
                $select->execute();
                if ($select->rowCount() < 1) {
                    header('Location: ' . $_SERVER['HTTP_REFERER']);
                    exit();
                } else {
                    $row = $select->fetch(PDO::FETCH_ASSOC);
                }
            ?>
                <div class="card border border-1">
                    <div class="card-body">
                        <h5 class="text-center mb-4 text-uppercase">Withdrawal Details</h5>
                        <div class="border-bottom border-4 w-50 mb-4 me-auto ms-auto"></div>
                        <div class="container">
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Username: </h6>
                                </div>
                                <div class="text-start w-100">
                                    <p class=""><?= $userrow['username']; ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Amount: </h6>
                                </div>
                                <div class="w-100">
                                    <p class=""><?= $symbol; ?><?= number_format($row['amount'], 2); ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Withdrawal method: </h6>
                                </div>
                                <div class="text-start w-100">
                                    <p class=""><?= $row['method']; ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between gap-2 align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Address: </h6>
                                </div>
                                <div class="d-flex text-start w-100">
                                    <small class=""><?= $row['wallet_addr']; ?> <span onclick="$('#walletModal').modal('show');" style="cursor: pointer;" class="fas fa-edit"></span></small>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Date: </h6>
                                </div>
                                <div class="w-100">
                                    <p class="fw-bold"><?= $row['date_added']; ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div class="fw-bold w-100">
                                    <h6 class="fw-bold">Status: </h6>
                                </div>
                                <div class="w-100">
                                    <p class="fw-bold"><?= $row['status'] == 0 ? '<span class="text-warning">Processing</span>' : ($row['status'] == 1 ? '<span class="text-success">Successful</span>' : '<span class="text-danger">Failed</span>'); ?></p>
                                </div>
                            </div>
                            <div class="border-bottom border-2 mb-4"></div>
                            <p>Actions</p>
                            <hr />
                            <div class="text-center">
                                <p class="alert alert-primary" id="errorshow1"></p>
                                <?php if ($row['status'] != 2) { ?>
                                    <button type='button' class='btn btn-primary btn-rounded btn-sm' onclick="approve('<?= $row['mem_id']; ?>', '<?= $row['amount']; ?>', '<?= $row['transc_id']; ?>', '<?= $row['account']; ?>')"> Approve</button>
                                <?php } ?>
                                <?php if ($row['status'] == 1) { ?>
                                    <button type='button' class='btn btn-warning btn-rounded btn-sm' onclick="failwit('<?= $row['mem_id']; ?>', '<?= $row['amount']; ?>', '<?= $row['transc_id']; ?>', '<?= $row['account']; ?>', '<?= $row['status']; ?>')"> Failed</button>
                                <?php } ?>
                                <button type='button' class='btn btn-danger btn-rounded btn-sm' onclick="deleteTrans('<?= $row['mem_id']; ?>', '<?= $row['transc_id']; ?>')"> Delete</button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal fade" id="walletModal" tabindex="-1" aria-labelledby="walletModal" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered modal-md" role="document">
                        <div class="modal-content text-center">
                            <div class="modal-header justify-content-center">
                                <h3 class="fw-bold"><span class="fas fa-exclamation-circle"></span> Edit Wallet address</h3>
                                <button type="button" class="btn-close" data-mdb-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body py-3">
                                <div class="form-outline mt-4 mb-3">
                                    <input type="text" class="form-control" value="<?= $row['wallet_addr']; ?>" placeholder="Wallet address" id="address2" name="address2" aria-label="address2" />
                                    <label class="form-label" for="address">Wallet address</label>
                                </div>
                                <p class="alert alert-primary" id="errorshow2"></p>
                            </div>
                            <div class="modal-footer">
                                <span onclick="editWallet('<?= $row['mem_id']; ?>', '<?= $row['transc_id']; ?>', $('#address2').val());" class="btn seablue-gradient">
                                    <a type="button">Save</a>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
        <?php break;
        } ?>
    </div>
</main>
<?php include "footer.php"; ?>
<script>
    <?php if ($_GET['type'] == "deposit") { ?>
        $(document).ready(() => {
            $("#errorshow1").hide();
        });

        function deleteFunc(request, mem_id, transc_id, span) {
            $.ajax({
                type: 'POST',
                url: '../../ops/adminauth',
                data: {
                    request: request,
                    'mem_id': mem_id,
                    'transc_id': transc_id
                },
                beforeSend: function() {
                    $('#errorshow1').html("Deleting <span class='far fa-spinner fa-spin'></span>").show();
                },
                success: function(data) {
                    if (data == "success") {
                        $('#errorshow1').html("Deleted successfully <span class='far fa-check-circle'></span>").show();;
                        setTimeout(() => location.reload(), 3000);
                    } else {
                        $('#errorshow1').html("<span class='far fa-exclamation-triangle'></span> " + data).show();
                    }
                },
                error: function(err) {
                    $('#errorshow1').html("<span class='far fa-exclamation-triangle'></span> An error occured. <br> Try again. " + err).show();
                }
            });
        }

        function approvedep(mem_id, amount, transc_id) {
            $.ajax({
                type: 'POST',
                url: '../../ops/adminauth',
                data: {
                    request: 'approvedep',
                    mem_id,
                    amount,
                    transc_id
                },
                beforeSend: function() {
                    $('#errorshow1').html("Approving deposit <span class='fas fa-spinner fa-spin'></span>").show();
                },
                success: function(data) {
                    if (data == "success") {
                        $("#errorshow1").html("Deposit approved successfully <span class='fas fa-check-circle'></span>");
                        setTimeout(() => location.reload(), 3000);
                    } else {
                        $("#errorshow1").html(data).show();
                    }
                },
                error: function(err) {
                    $("#errorshow1").html("An error occured. <br> Try again. " + err.statusText).show();
                }
            });
        }

        function faildep(mem_id, amount, transc_id, status) {
            $.ajax({
                type: 'POST',
                url: '../../ops/adminauth',
                data: {
                    request: 'faildep',
                    mem_id,
                    amount,
                    transc_id,
                    status
                },
                beforeSend: function() {
                    $('#errorshow1').html("Failing deposit <span class='fas fa-spinner fa-spin'></span>").show();
                },
                success: function(data) {
                    if (data == "success") {
                        $("#errorshow1").html("Transaction failed successfully <span class='fas fa-check-circle'></span>");
                        setTimeout(() => {
                            location.reload();
                        }, 3000);
                    } else {
                        $("#errorshow1").html(data).show();
                    }
                },
                error: function(err) {
                    $("#errorshow1").html("An error occured. <br> Try again. " + err.statusText).show();
                }
            });
        }
    <?php } elseif ($_GET['type'] == "withdrawal") { ?>
        $(document).ready(() => {
            $("#errorshow1").hide();
            $("#errorshow2").hide();
        });

        function editWallet(mem_id, transc_id, address) {
            $.ajax({
                type: 'POST',
                url: '../../ops/adminauth',
                data: {
                    request: 'editWalletAddr',
                    mem_id,
                    transc_id,
                    address,
                },
                beforeSend: function() {
                    $('#errorshow2').html("Saving <span class='fas fa-spinner fa-spin'></span>").fadeIn();
                },
                success: function(data) {
                    if (data == "success") {
                        $('#errorshow2').html("Wallet saved successful <span class='far fa-check-circle'></span>").fadeIn();
                        setTimeout(() => {
                            location.reload();
                        }, 3000).show();
                    } else {
                        $('#errorshow2').html(data).fadeIn();
                    }
                },
                error: function(err) {
                    $('#errorshow2').html("An error occured. <br> Try again. " + err.statusText).fadeIn();
                }
            });
        }

        function approve(mem_id, amount, transc_id, account) {
            $.ajax({
                type: 'POST',
                url: '../../ops/adminauth',
                data: {
                    request: 'approvewit',
                    mem_id,
                    transc_id,
                    account,
                    amount
                },
                beforeSend: function() {
                    $('#errorshow1').html("Approving withdrawal <span class='fas fa-spinner fa-spin'></span>").fadeIn();
                },
                success: function(data) {
                    if (data == "success") {
                        $('#errorshow1').html("Withdrawal successful <span class='far fa-check-circle'></span>").fadeIn();
                        setTimeout(() => {
                            location.reload();
                        }, 3000).show();
                    } else {
                        $('#errorshow1').html(data).fadeIn();
                    }
                },
                error: function(err) {
                    $('#errorshow1').html("An error occured. <br> Try again. " + err.statusText).fadeIn();
                }
            });
        }

        function deleteTrans(mem_id, transc_id) {
            $.ajax({
                type: 'POST',
                url: '../../ops/adminauth',
                data: {
                    request: 'deleteWithdrawal',
                    mem_id,
                    transc_id
                },
                beforeSend: function() {
                    $('#errorshow1').html("Deleting withdrawal <span class='fas fa-spinner fa-spin'></span>").fadeIn();
                },
                success: function(data) {
                    if (data == "success") {
                        $('#errorshow1').html("Withdrawal deleted successfully <span class='far fa-check-circle'></span>").fadeIn();
                        setTimeout(() => {
                            location.reload();
                        }, 3000);
                    } else {
                        $('#errorshow1').html(data).fadeIn();
                    }
                },
                error: function(err) {
                    $('#errorshow1').html("An error occured. <br> Try again. " + err.statusText).fadeIn();
                }
            });
        }

        function failwit(mem_id, amount, transc_id, account, status) {
            $.ajax({
                type: 'POST',
                url: '../../ops/adminauth',
                data: {
                    request: 'failwit',
                    mem_id,
                    transc_id,
                    account,
                    status,
                    amount
                },
                beforeSend: function() {
                    $('#errorshow1').html("Failing withdrawal <span class='fas fa-spinner fa-spin'></span>").fadeIn();
                },
                success: function(data) {
                    if (data == "success") {
                        $('#errorshow1').html("Withdrawal failed successfully <span class='far fa-check-circle'></span>").fadeIn();
                        setTimeout(() => {
                            location.reload();
                        }, 3000).show();
                    } else {
                        $('#errorshow1').html(data).fadeIn();
                    }
                },
                error: function(err) {
                    $('#errorshow1').html("An error occured. <br> Try again. " + err.statusText).fadeIn();
                }
            });
        }
    <?php } ?>
</script>