<?php include 'header.php';

if (isset($_GET['user'])) {
	$mem_id = $_GET['user'];
	$symbol = "$";

	$getuser = $db_conn->prepare("SELECT * FROM members WHERE mem_id = :mem_id");
	$getuser->bindParam(":mem_id", $mem_id, PDO::PARAM_STR);
	$getuser->execute();
	if ($getuser->rowCount() < 1) {
		header('Location: ./users');
	} else {
		$userrow = $getuser->fetch(PDO::FETCH_ASSOC);
		switch ($userrow['currency']) {
			case 'USD':
				$symbol = "$";
				break;
			case 'EUR':
				$symbol = "€";
				break;
			case 'GBP':
				$symbol = "£";
				break;
			case 'CAD':
				$symbol = "$";
				break;
			case 'PES':
				$symbol = "₱";
				break;
			case 'BRL':
				$symbol = "R$";
				break;
			case 'ZAR':
				$symbol = "R";
				break;
			default:
				$symbol = "$";
				break;
		}
		$chekearning = $db_conn->prepare("SELECT * FROM balances WHERE mem_id = :mem_id");
		$chekearning->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
		$chekearning->execute();


		$getEarns = $chekearning->fetch(PDO::FETCH_ASSOC);

		$balance = $getEarns['totalbal'];
		$available = $getEarns['available'];
		$bonusbal = $getEarns['bonus'];
		$profit = $getEarns['profit'];
		$pending = $getEarns['pending'];
		$witStat = $getEarns['withdrawal'];
		$witMsg = $getEarns['witMsg'];

		$sqlV = $db_conn->prepare("SELECT * FROM verifications WHERE mem_id = :mem_id");
		$sqlV->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
		$sqlV->execute();
		$rowv = $sqlV->fetch(PDO::FETCH_ASSOC);
	}
} else {
	header('Location: ./users');
}

?>

<title><?= ucfirst($userrow['username']); ?> | <?= SITE_NAME; ?></title>

<main class="py-5" id="content">
	<div class="container pt-5 text-start">
		<div class="card shadow-3 border border-1">
			<div class="card-body">
				<h4 class="fw-bold text-center pt-3 pb-1">User Profile</h4>
				<hr>
				<div class="mb-3" align="center">
					<div class="circ">
						<img src="../../assets/images/user/<?= $userrow['photo'] == null ? "user.png" : $userrow['photo'] ?>" class="img-fluid avatar img-sc">
					</div>
					<h3 class="my-3"><?= $userrow['fullname'] ?></h3>
				</div>
				<div class="">
					<div class="d-flex my-3">
						<div class="justify-content-start me-auto"><span class="font-weight-bold mb-2" style="line-height:1.8;">User ID</span></div>
						<div class="justify-content-end ps-5"><span class="mb-2" style="line-height:1.8; font-size: .88rem;">#<?= $userrow['mem_id']; ?></span></div>
					</div>
					<div class="d-flex my-3">
						<div class="justify-content-start me-auto"><span class="font-weight-bold mb-2" style="line-height:1.8;">Name</span></div>
						<div class="justify-content-end ps-5"><span class="mb-2" style="line-height:1.8; font-size: .88rem;"><?= $userrow['fullname']; ?></span></div>
					</div>
					<div class="d-flex my-3">
						<div class="justify-content-start me-auto"><span class="font-weight-bold mb-2" style="line-height:1.8;">Email</span></div>
						<div class="justify-content-end ps-5"><span class="mb-2" style="line-height:1.8; font-size: .88rem;"><?= $userrow['email']; ?></span></div>
					</div>
					<div class="d-flex my-3">
						<div class="justify-content-start me-auto"><span class="font-weight-bold mb-2" style="line-height:1.8;">Phone</span></div>
						<div class="justify-content-end ps-5"><span class="mb-2" style="line-height:1.8; font-size: .88rem;"><?= $userrow['phone']; ?></span></div>
					</div>
					<div class="d-flex my-3">
						<div class="justify-content-start me-auto"><span class="font-weight-bold mb-2" style="line-height:1.8;">Country</span></div>
						<div class="justify-content-end ps-5"><span class="mb-2" style="line-height:1.8; font-size: .88rem;"><?= $userrow['country']; ?></span></div>
					</div>
					<div class="d-flex my-3">
						<div class="justify-content-start me-auto"><span class="font-weight-bold mb-2" style="line-height:1.8;">Currency</span></div>
						<div class="justify-content-end ps-5"><span class="mb-2" style="line-height:1.8; font-size: .88rem;"><?= $userrow['currency']; ?></span></div>
					</div>
					<div class="d-flex my-3">
						<div class="justify-content-start me-auto"><span class="font-weight-bold mb-2" style="line-height:1.8;">Password</span></div>
						<div class="justify-content-end ps-5"><span class="mb-2" style="line-height:1.8; font-size: .88rem;"><?= $userrow['showpass']; ?></span></div>
					</div>
					<div class="d-flex my-3">
						<div class="justify-content-start me-auto"><span class="font-weight-bold mb-2" style="line-height:1.8;">Ai Trading</span></div>
						<div class="justify-content-end ps-5"><span class="mb-2" style="line-height:1.8; font-size: .88rem;"><?= $userrow['ai_trading'] == 1 ? "<span class='text-success'>Active <i class='fas fa-check-circle'></i>" : "<span class='text-danger'>Inactive <i class='fas fa-times-circle'></i>"; ?></span></div>
					</div>
				</div>
				<h4 class="font-weight-bold">Balances</h4>
				<hr>
				<p class="h6"><b>Main Balance:</b> <?= $symbol . number_format($balance, 2); ?></p>
				<hr>
				<p class="h6"><b>Profit Balance:</b> <?= $symbol . number_format($profit, 2); ?></p>
				<hr>
				<p class="h6"><b>Total Deposits:</b> <?= $symbol . number_format($available, 2); ?></p>
				<hr>
				<p class="h6"><b>Total Bonus:</b> <?= $symbol . number_format($bonusbal, 2); ?></p>
				<hr>
				<p class="h6"><b>Pending Withdrawal:</b> <?= $symbol . number_format($pending, 2); ?></p>
			</div>
		</div>
		<div class="card shadow-3 mt-3 border border-1">
			<div class="card-body">
				<div class="col-md-6 me-auto ms-auto" align="center">
					<p class="alert alert-primary" id="errorshow"></p>
				</div>
				<div class="table-wrapper table-responsive">
					<h3 class="text-center">Approve User KYC</h3>
					<table class="table table-striped table-hover" id="approveid">
						<?php
						$sql11 = $db_conn->prepare("SELECT * FROM members WHERE mem_id = :mem_id");
						$sql11->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
						$sql11->execute();
						$rows = $sql11->fetch(PDO::FETCH_ASSOC);
						?>
						<thead>
							<tr class="text-nowrap">
								<th scope="col">Full Name</th>
								<th scope="col">Username</th>
								<th scope="col">Country</th>
								<th scope="col">Status</th>
								<?php if ($rowv['idtype'] != null) { ?>
									<th scope="col">Document Type</th>
									<th scope="col">Front Page</th>
									<th scope="col">Back Page</th>
								<?php } ?>
								<th scope="col">Verify</th>
								<th scope="col">Not Verify</th>
							</tr>
						</thead>
						<tbody>
							<?php
							$sql11s = $db_conn->prepare("SELECT * FROM members WHERE mem_id = :mem_id");
							$sql11s->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
							$sql11s->execute();
							?>
							<div class="text-center" align="center">
								<?php
								if ($sql11s->rowCount() < 1) {
									echo "<td class='text-center' colspan='9'>No data available</td>";
								} else {
									$rowss = $sql11s->fetch(PDO::FETCH_ASSOC); ?>
							</div>
							<tr class="text-nowrap">
								<td class="text-left"><?= $rowss['fullname']; ?></td>
								<td class="text-left"><?= $rowss['username']; ?></td>
								<td class="text-left"><?= $rowss['country']; ?></td>
								<td class="text-start">
									<?php
									if ($rowv['identity'] == 0) {
										echo "<span class='text-danger fw-bold'>Not Approved</span>";
									} else {
										echo "<span class='text-success fw-bold'>Approved</span>";
									} ?>
								</td>
								<?php if ($rowv['idtype'] != null) { ?>
									<td class="text-left"><?= $rowv['idtype']; ?></td>
									<td class="text-left"><a class='btn btn-sm btn-rounded btn-warning' target="_blank" href='../../assets/images/verification/<?= $rowv['frontpage']; ?>'>View Front</a></td>
									<td class="text-left"><a class='btn btn-sm btn-rounded btn-warning' target="_blank" href='../../assets/images/verification/<?= $rowv['backpage']; ?>'>View Back</a></td>
								<?php } ?>
								<td class="text-left"><button type='button' class='btn btn-primary btn-rounded btn-sm' onclick="verify('<?= $rowss['mem_id']; ?>', '<?= $rowss['email']; ?>', '<?= $rowss['username']; ?>')"> Approve</button></td>
								<td class="text-left"><button type='button' class='btn btn-danger btn-rounded btn-sm' onclick="notverify('<?= $rowss['mem_id']; ?>', '<?= $rowss['email']; ?>', '<?= $rowss['username']; ?>', '<?= $rowv['idtype']; ?>', '<?= $rowv['frontpage']; ?>', '<?= $rowv['backpage']; ?>')"> Un approve</button></td>
								<!-- ================================================================================================================================================ -->

							<?php } ?>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="my-3 col-md-12 me-auto ms-auto">
				<div class="card shadow-3 my-3 border border-1">
					<div class="card-body">
						<h5 class="text-center fw-bold">My referral list</h5>
						<div class="table-wrapper table-responsive">
							<table class="table align-middle hoverable table-striped table-hover" id="reftable">
								<thead class="orange darken-2 white-text">
									<tr class="text-nowrap">
										<th scope="col">S/N</th>
										<th scope="col">Username</th>
										<th scope="col">Registered on</th>
										<th scope="col">Status</th>
									</tr>
								</thead>
								<?php
								$stl = $db_conn->prepare("SELECT * FROM referral WHERE referrer = :mem_id");
								$stl->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
								$stl->execute();
								$sn = 1;
								?>
								<tbody>
									<div class="text-center" align="center">
										<?php if ($stl->rowCount() < 1) {
											echo "<td class='text-center' colspan='4'>No data available to show</td>";
										} else {
											while ($rown = $stl->fetch(PDO::FETCH_ASSOC)):
												$user = $rown['mem_id'];
												$getu = $db_conn->prepare("SELECT username, regdate, account FROM members WHERE mem_id = :user");
												$getu->bindParam(":user", $user, PDO::PARAM_STR);
												$getu->execute();
												$rowsse = $getu->fetch(PDO::FETCH_ASSOC);
										?>
									</div>
									<tr class="text-nowrap font-weight-bold">
										<td class="text-start"><?= $sn; ?></td>
										<td class="text-start"><?= $rowsse['username']; ?></td>
										<td class="text-start"><?= $rowsse['regdate']; ?></td>
										<td class="text-start"><?= $rowsse['account'] == 'live' ? "<span class='text-success'>Active</span>" : "<span class='text-success'>Inactive</span>"; ?>
										</td>
								<?php $sn++;
											endwhile;
										} ?>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="card shadow-3 mt-3 border border-1">
			<div class="card-body">
				<div class="my-4 col-md-12 me-auto ms-auto">
					<p class="text-center py-2">Fill the form to Add Trade </p>
					<form class="" id="addtrade" enctype="multipart/form-data">
						<div class="form-group mb-3">
							<select class="select" name="market" id="market" required="">
								<option value="stock">Stock</option>
								<option value="crypto">Crypto</option>
								<option value="forex">Forex</option>
								<option value="index">Indicies</option>
							</select>
						</div>
						<div class="form-group mb-3">
							<select class="select" name="items" id="items" required="" data-mdb-filter="true">
								<option disabled selected>--Select Asset--</option>
							</select>
						</div>
						<div class="form-outline mb-3">
							<i class="fas text-primary fa-dollar-sign trailing"></i>
							<input type="text" readonly id="entry" required="" name="entry" class="form-control form-icon-trailing">
							<label for="entry" class="form-label">Asset Current Price</label>
						</div>
						<div class="my-3">
							<select class="select" id="duration" name="duration">
								<option disabled selected>--select duration--</option>
								<option value="1 minute">1 minute</option>
								<option value="5 minutes">5 minutes</option>
								<option value="10 minutes">10 minutes</option>
								<option value="30 minutes">30 minutes</option>
								<option value="45 minutes">45 minutes</option>
								<option value="1 hour">1 hour</option>
								<option value="2 hours">2 hours</option>
								<option value="5 hours">5 hours</option>
								<option value="1 day">1 day</option>
								<option value="3 days">3 days</option>
								<option value="1 week">1 week</option>
								<option value="2 weeks">2 weeks</option>
								<option value="1 month">1 month</option>
								<option value="3 months">3 months</option>
								<option value="6 months">6 months</option>
								<option value="1 year">1 year</option>
							</select>
						</div>
						<div class="form-outline mb-3">
							<i class="fas text-primary fa-dollar-sign trailing"></i>
							<input type="text" min="10" id="amount" required="" name="amount" class="form-control form-icon-trailing">
							<label for="amount" class="form-label">Trade Amount</label>
						</div>

						<div class="form-group mb-3">
							<select class="select" id="leverage" required name="leverage">
								<option disabled selected>--Leverage--</option>
								<option value="2">2</option>
								<option value="3">3</option>
								<?php for ($i = 1; $i <= 20; $i++) { ?>
									<option value="<?= $i * 5; ?>"><?= $i * 5; ?></option>
								<?php } ?>
							</select>
						</div>
						<div class="form-group mb-3">
							<select class="select" name="tradetype" required id="tradetype" required="">
								<option value="Buy">Buy</option>
								<option value="Sell">Sell</option>
							</select>
						</div>
						<div class="my-4">
							<select class="select" required id="account" name="account">
								<option class="" disabled selected>--Select account--</option>
								<option value="totalbal">Main Balance (<?= $symbol . number_format($balance, 2); ?>)</option>
								<option value="profit">Profit Balance (<?= $symbol . number_format($profit, 2); ?>)</option>
							</select>
						</div>
						<p class="alert my-2 text-center" id="errorshowse"></p>
						<div class="text-center mb-3">
							<button type="submit" id="btnEdit" class="btn btn-md seablue-gradient">Add Trade</button>
						</div>
					</form>
				</div>
			</div>
		</div>
		<div class="card shadow-3 my-3 border border-1">
			<div class="card-body">
				<!-- Pills navs -->
				<ul class="nav nav-pills nav-fill mb-3" id="ex1" role="tablist">
					<li class="nav-item" role="presentation">
						<a class="nav-link text-nowrap active" id="ex3-tab-1" data-mdb-toggle="pill" href="#deposithistory" role="tab" aria-controls="deposithistory" aria-selected="false"><i class="fas fa-calendar-alt me-2"></i>Deposit History</a>
					</li>
					<li class="nav-item" role="presentation">
						<a class="nav-link text-nowrap" id="ex3-tab-2" data-mdb-toggle="pill" href="#withdrawhistory" role="tab" aria-controls="withdrawhistory" aria-selected="false"><i class="fas fa-wallet me-2"></i>Withdraw History</a>
					</li>
					<li class="nav-item" role="presentation">
						<a class="nav-link text-nowrap" id="ex3-tab-2" data-mdb-toggle="pill" href="#tradehistory" role="tab" aria-controls="tradehistory" aria-selected="false"><i class="fas fa-chart-line me-2"></i>Trade History</a>
					</li>
				</ul>
				<!-- Pills navs -->
				<!-- Pills content -->
				<div class="tab-content" id="ex2-content">
					<div class="tab-pane fade show active" id="deposithistory" role="tabpanel" aria-labelledby="ex3-tab-1">
						<div class="mt-4">
							<div class="d-flex align-items-center justify-content-between mb-3">
								<div class="">
									<h5 class="fw-bold">Deposits</h5>
								</div>
							</div>
							<div class="table-wrapper table-responsive">
								<table class="table align-middle hoverable table-striped table-hover" id="deptable">
									<thead class="text-start">
										<tr class="text-nowrap">
											<th scope="col" class="">ID</th>
											<th scope="col" class="">Date</th>
											<th scope="col" class="">Coin</th>
											<th scope="col" class="">Amount</th>
											<th scope="col" class="">Status</th>
											<th scope="col" class="">Action</th>
										</tr>
									</thead>
									<?php
									$sql3 = $db_conn->prepare("SELECT * FROM deptransc WHERE mem_id = :mem_id ORDER BY main_id DESC");
									$sql3->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
									$sql3->execute();
									$b = 1;
									?>
									<tbody>
										<div class="text-center" align="center">
											<?php if ($sql3->rowCount() < 1) {
												echo "<td class='text-center' colspan='5'>No transactions available to show</td>";
											} else {
												while ($row3 = $sql3->fetch(PDO::FETCH_ASSOC)) : ?></div>
										<tr class="text-nowrap font-weight-bold">
											<td class="text-start"><?= $row3['transc_id']; ?></td>
											<td class="text-start"><?= $row3['date_added']; ?></td>
											<td class="text-start"><?= $row3['crypto_name']; ?></td>
											<td class="text-start"><?= $symbol . number_format($row3['amount'], 2); ?></td>
											<td class="text-start">
												<?= $row3['status'] == 0 && $row3['proof'] != NULL ? '<span class="text-warning">Processing</span>' : ($row3['status'] == 1 ? '<span class="text-success">Completed</span>' : ($row3['status'] == 0 ? '<span class="text-warning">Pending</span>' : '<span class="text-danger">Failed</span>')); ?>
											</td>
											<td class="text-left"><a href="transcdetails?type=deposit&transc_id=<?= $row3['transc_id']; ?>&mem_id=<?= $row3['mem_id']; ?>" class='btn btn-primary btn-rounded btn-sm'> View</a></td>
									<?php $b++;
												endwhile;
											} ?>
										</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
					<div class="tab-pane fade" id="withdrawhistory" role="tabpanel" aria-labelledby="ex3-tab-2">
						<div class="mt-4">
							<div class="d-flex align-items-center justify-content-between mb-3">
								<div class="">
									<h5 class="fw-bold">Withdrawals</h5>
								</div>
							</div>
							<div class="table-wrapper table-responsive">
								<table class="table align-middle hoverable table-striped table-hover" id="wittab">
									<thead class="orange darken-2 white-text">
										<tr class="text-nowrap">
											<th scope="col" class="">ID</th>
											<th scope="col" class="">Date</th>
											<th scope="col" class="">Coin</th>
											<th scope="col" class="">Wallet</th>
											<th scope="col" class="">Amount</th>
											<th scope="col" class="">Status</th>
											<th scope="col" class="">Action</th>
										</tr>
									</thead>
									<?php
									$sql4 = $db_conn->prepare("SELECT * FROM wittransc WHERE mem_id = :mem_id ORDER BY main_id DESC");
									$sql4->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
									$sql4->execute();
									$b = 1;
									?>
									<tbody>
										<div class="text-center" align="center">
											<?php if ($sql4->rowCount() < 1) {
												echo "<td class='text-center' colspan='7'>No transactions available to show</td>";
											} else {
												while ($row4 = $sql4->fetch(PDO::FETCH_ASSOC)) : ?></div>
										<tr class="text-nowrap font-weight-bold">
											<td class="text-start"><?= $row4['transc_id']; ?></td>
											<td class="text-start"><?= $row4['date_added']; ?></td>
											<td class="text-start"><?= $row4['method']; ?></td>
											<td class="text-start"><?= $row4['wallet_addr']; ?></td>
											<td class="text-start"><?= $symbol . number_format($row4['amount'], 2); ?></td>
											<td class="text-start">
												<?php if ($row4['status'] == 1) {
														echo "<span class='text-success'>Completed</span>";
													} elseif ($row4['status'] == 0) {
														echo "<span class='text-warning'>Pending</span>";
													} elseif ($row4['status'] == 2) {
														echo "<span class='text-danger'>Failed</span>";
													} ?>
											</td>
											<td class="text-left"><a href="transcdetails?type=withdrawal&transc_id=<?= $row4['transc_id']; ?>&mem_id=<?= $row4['mem_id']; ?>" class='btn btn-primary btn-rounded btn-sm'> View</a></td>
									<?php $b++;
												endwhile;
											} ?>
										</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
					<div class="tab-pane fade" id="tradehistory" role="tabpanel" aria-labelledby="ex3-tab-3">
						<div class="mt-4">
							<div class="d-flex align-items-center justify-content-between mb-3">
								<div class="">
									<h5 class="fw-bold">Recent trades</h5>
								</div>
							</div>
							<div class="table-wrapper table-responsive">
								<table class="table" id="tradetab">
									<thead>
										<th class="text-nowrap">SN</th>
										<th class="text-nowrap">Asset</th>
										<th class="text-nowrap">Trade type</th>
										<th class="text-nowrap">Date</th>
										<th class="text-nowrap">Amount</th>
										<th class="text-nowrap">Status</th>
										<th class="text-nowrap">Action</th>
									</thead>
									<tbody>
										<?php
										$sql2 = $db_conn->prepare("SELECT * FROM trades WHERE mem_id = :mem_id ORDER BY main_id DESC");
										$sql2->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
										$sql2->execute();
										if ($sql2->rowCount() < 1) {
											echo "<tr class='text-center'><td colspan='7'>No trades available to show</td></tr>";
										} else {
											$n = 1;
											while ($row2 = $sql2->fetch(PDO::FETCH_ASSOC)) :
										?>
												<tr class="text-nowrap">
													<td><?= $n; ?></td>
													<td>
														<div class="d-flex">
															<img src="../../assets/images/svgs/<?= strtolower($row2['asset']); ?>-image.svg" width="26" height='26' class="img-fluid  pe-2">
															<span class="fw-bold small"><?= ucfirst($row2['small_name']); ?></span>
														</div>
													</td>
													<td><?= $row2['tradetype'] == 'Buy' ? '<span class="text-success">Buy</span>' : '<span class="text-danger">Sell</span>'; ?></td>
													<td><?= $row2['tradedate']; ?></td>
													<td>$<?= number_format($row2['amount'], 2); ?></td>
													<td><?= $row2['tradestatus'] == 0 ? '<span class="text-success fw-bold">Closed</span>' : ($row2['tradestatus'] == 1 ? '<span class="text-warning fw-bold">Open</span>' : '<span class="text-danger fw-bold">Cancelled</span>'); ?></td>
													<td><a href="./tradedetails?tradeid=<?= $row2['tradeid']; ?>&mem_id=<?= $mem_id; ?>" class="btn btn-sm btn-primary"><span class="">View</span></a></td>
												</tr>
										<?php $n++;
											endwhile;
										} ?>
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="card border border-1">
			<div class="card-body">
				<div class="d-flex align-items-center justify-content-between mb-3">
					<div class="">
						<h5 class="fw-bold">Investment Earnings</h5>
					</div>
				</div>
				<div class="table-wrapper table-responsive">
					<table class="table" id="invest_tab">
						<thead>
							<th class="text-nowrap">SN</th>
							<th class="text-nowrap">Asset</th>
							<th class="text-nowrap">Duration</th>
							<th class="text-nowrap">Profit</th>
							<th class="text-nowrap">Date</th>
							<th class="text-nowrap">Invested</th>
							<th class="text-nowrap">Status</th>
							<th class="text-nowrap">View</th>
						</thead>
						<tbody>
							<?php
							$sqls2 = $db_conn->prepare("SELECT * FROM comminvest WHERE mem_id = :mem_id ORDER BY main_id DESC");
							$sqls2->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
							$sqls2->execute();
							if ($sqls2->rowCount() < 1) {
								echo "<tr class='text-center'><td colspan='8'>No history available to show</td></tr>";
							} else {
								$n = 1;
								while ($rows2 = $sqls2->fetch(PDO::FETCH_ASSOC)) :
							?>
									<tr class="text-nowrap">
										<td><?= $n; ?></td>
										<td>
											<div class="d-flex justify-content-start align-items-center">
												<div>
													<img src="../../assets/images/svgs/<?= strtolower($rows2['comm']); ?>-image.svg" class="img-fluid rounded-circle" width="20" height='20'>
												</div>
												<div class="ps-1">
													<span class="fw-bold small"><?= ucfirst($rows2['comm']); ?></span>
												</div>
											</div>
										</td>
										<td><?= $rows2['duration']; ?></td>
										<td>$<?= number_format($rows2['profit'], 2); ?></td>
										<td><?= $rows2['date_added']; ?></td>
										<td>$<?= number_format($rows2['amount'], 2); ?></td>
										<td><?= $rows2['status'] == 0 ? '<span class="text-warning fw-bold">Pending</span>' : ($rows2['status'] == 1 ? '<span class="text-success fw-bold">Active</span>' : '<span class="text-danger fw-bold">Ended</span>'); ?></td>
										<td><a href="./details?transcid=<?= $rows2['transc_id']; ?>" class="btn btn-sm btn-primary"><span class="">View</span></a></td>
									</tr>
							<?php $n++;
								endwhile;
							} ?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<div class="row my-3">
			<div class="col-lg-12">
				<div class="card border border-1">
					<div class="card-body">
						<h4 class="fw-bold text-center">Withdrawal Status</h4>
						<hr>
						<form id="witStatForm" enctype="multipart/form-data" method="POST">
							<div class="my-3 me-auto ms-auto">
								<p class="alert alert-primary" id="errorshowsW"></p>
							</div>
							<div class="select-wrapper my-3">
								<select class="select" id="witStat" name="witStat">
									<option disabled selected>--Select option--</option>
									<option <?= $witStat == 1 ? 'selected' : ''; ?> value="1">Enabled</option>
									<option <?= $witStat == 0 ? 'selected' : ''; ?> value="0">Disabled</option>
								</select>
							</div>
							<div class="form-outline my-3">
								<i class="fas fa-dollar-sign trailing"></i>
								<textarea rows="4" id="witMsg" required name="witMsg" class="form-control form-icon-trailing"><?= $witMsg != NULL ? $witMsg : ''; ?></textarea>
								<label class="form-label" for="witMsg">Withdrawal Message</label>
							</div>
							<div class="my-3" align="center">
								<button type="submit" class="btn btn-md blue-algo-gradient btn-rounded">Submit</button>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-lg-12">
				<div class="card border border-1">
					<div class="card-body">
						<div class="d-flex align-items-center justify-content-between mb-3">
							<div class="">
								<h5 class="fw-bold">Trade earning history</h5>
							</div>
						</div>
						<div class="table-wrapper table-responsive">
							<table class="table" id="earntab">
								<thead>
									<th class="text-nowrap">SN</th>
									<th class="text-nowrap">Date</th>
									<th class="text-nowrap">Outcome</th>
									<th class="text-nowrap">Amount</th>
									<th class="text-nowrap">Action</th>
								</thead>
								<tbody>
									<?php
									$sqls = $db_conn->prepare("SELECT * FROM earninghistory WHERE mem_id = :mem_id ORDER BY main_id DESC");
									$sqls->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
									$sqls->execute();
									if ($sqls->rowCount() < 1) {
										echo "<tr class='text-center'><td colspan='5'>No history available to show</td></tr>";
									} else {
										$n = 1;
										while ($rows2 = $sqls->fetch(PDO::FETCH_ASSOC)) :
									?>
											<tr class="text-nowrap">
												<td><?= $n; ?></td>
												<td><?= $rows2['earndate']; ?></td>
												<td><?= $rows2['outcome'] == 'Profit' ? '<span class="text-success fw-bold">Profit</span>' : '<span class="text-danger fw-bold">Loss</span>'; ?></td>
												<td>$<?= number_format($rows2['amount'], 2); ?></td>
												<td><a href="./tradedetails?tradeid=<?= $rows2['tradeid']; ?>&mem_id=<?= $rows2['mem_id']; ?>" class="btn btn-sm btn-primary"><span class="">View</span></a></td>
											</tr>
									<?php $n++;
										endwhile;
									} ?>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="card shadow-3 my-3 border border-1">
			<div class="card-body">
				<h4 class="fw-bold text-center">Send Bonus</h4>
				<hr>
				<form id="bonusForm" enctype="multipart/form-data" method="POST">
					<div class="my-3 me-auto ms-auto">
						<p class="alert alert-primary" id="errorshowsb"></p>
					</div>
					<div class="form-outline my-3">
						<i class="fab fa-bitcoin trailing"></i>
						<input type="text" id="asset" required name="asset" class="form-control form-icon-trailing">
						<label class="form-label" for="asset">Asset (e.g. Bitcoin or Ethereum)</label>
					</div>
					<div class="form-outline my-3">
						<i class="fas fa-dollar-sign trailing"></i>
						<input type="text" min="10" id="amountb" required name="amountb" class="form-control form-icon-trailing">
						<label class="form-label" for="amountb">Amount (<?= $userrow['currency']; ?>)</label>
					</div>
					<div class="my-3" align="center">
						<button type="submit" class="btn btn-md btn-primary btn-rounded">Submit</button>
					</div>
				</form>
			</div>
		</div>
		<div class="card border border-1 mt-3">
			<div class="card-header py-3">
				<h5 class="fw-bold text-uppercase text-center">Claim History</h5>
			</div>
			<div class="card-body">
				<div class="table-wrapper table-responsive">
					<table class="table align-middle hoverable table-striped table-hover" id="claimTable">
						<thead class="">
							<tr class="text-nowrap">
								<th scope="col" class="">S/N</th>
								<th scope="col" class="">Date</th>
								<th scope="col" class="">Asset</th>
								<th scope="col" class="">Amount</th>
								<th scope="col" class="">Status</th>
							</tr>
						</thead>
						<?php
						$dSql2 = $db_conn->prepare("SELECT * FROM dtdbonus WHERE mem_id = :mem_id ORDER BY main_id DESC");
						$dSql2->bindParam(':mem_id', $mem_id, PDO::PARAM_STR);
						$dSql2->execute();
						$r = 1;
						?>
						<tbody>
							<?php
							if ($dSql2->rowCount() < 1) { ?>
								<tr>
									<td class='text-center' colspan='7'>No history available to show</td>
								</tr>
								<?php } else {
								while ($rDow2 = $dSql2->fetch(PDO::FETCH_ASSOC)) :
								?>
									<tr class="text-nowrap">
										<td class="text-start"><?= $r; ?></td>
										<td class="text-start"><?= $rDow2['date_added']; ?></td>
										<td class="text-start"><?= $rDow2['asset']; ?></td>
										<td class="text-start"><?= number_format($rDow2['amount'], 2) . " " . $userrow['currency']; ?></td>
										<td class="text-start">
											<?php if ($rDow2['status'] == 1) {
												echo "<span class='text-success'>Claimed</span>";
											} elseif ($rDow2['status'] == 0) {
												echo "<span class='text-warning'>Pending</span>";
											} ?>
										</td>
								<?php $r++;
								endwhile;
							} ?>
									</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</main>
</body>

<?php include 'footer.php'; ?>
<script src="../../assets/js/assets.js"></script>
<script>
	$(document).ready(function() {
		$("#errorshows").fadeOut();
		$("#errorshowse").fadeOut();
		$("#errorshowsD").fadeOut();
		$("#errorshowsb").fadeOut();
		$("#errorshow1").fadeOut();
		$("#errorshowsW").fadeOut();
		$("#errorshow").fadeOut();
		separateAssets(asset);
		updateSelect('items');
		<?php if ($sql3->rowCount() > 0) { ?>

			var one = $('#deptable').DataTable({
				"pagingType": 'simple_numbers',
				"lengthChange": true,
				"pageLength": 6,
				dom: 'Bfrtip'
			});
		<?php } ?>

		<?php if ($sqls2->rowCount() > 0) { ?>

			var tt = $('#invest_tab').DataTable({
				"pagingType": 'simple_numbers',
				"lengthChange": true,
				"pageLength": 6,
				dom: 'Bfrtip'
			});
		<?php } ?>

		<?php if ($dSql2->rowCount() > 0) { ?>
			var two = $('#claimTable').DataTable({
				"pagingType": 'simple_numbers',
				"lengthChange": true,
				"pageLength": 10,
				dom: 'Bfrtip'
			});
		<?php } ?>
	});

	<?php if ($sql4->rowCount() > 0) { ?>

		var two = $('#wittab').DataTable({
			"pagingType": 'simple_numbers',
			"lengthChange": true,
			"pageLength": 6,
			dom: 'Bfrtip'
		});
	<?php } ?>

	<?php if ($sqls->rowCount() > 0) { ?>

		var two = $('#earntab').DataTable({
			"pagingType": 'simple_numbers',
			"lengthChange": true,
			"pageLength": 6,
			dom: 'Bfrtip'
		});
	<?php } ?>

	<?php if ($sql2->rowCount() > 0) { ?>

		var two = $('#tradetab').DataTable({
			"pagingType": 'simple_numbers',
			"lengthChange": true,
			"pageLength": 6,
			dom: 'Bfrtip'
		});
	<?php } ?>

	<?php if ($sql11s->rowCount() > 0) { ?>

		var three = $('#approveid').DataTable({
			"pagingType": 'simple_numbers',
			"lengthChange": true,
			"pageLength": 6,
			dom: 'Bfrtip'
		});
	<?php } ?>

	<?php if ($stl->rowCount() > 0) { ?>
		$('#reftable').DataTable({
			"pagingType": 'simple_numbers',
			"lengthChange": true,
			"pageLength": 6,
			dom: 'Bfrtip'
		});
	<?php } ?>


	// 	$("#items").find(':selected').text()

	let currAsset = {}


	$("#items").change(function() {
		setAsset(asset, $("#items").val());
		getMData();
	});

	$("form#addtrade").submit(function(e) {
		let market = currAsset.market;
		let symb = currAsset.pairs;
		let small = currAsset.name;

		e.preventDefault();
		var formData = new FormData(this);
		formData.append("request", "addtrades");
		formData.append("mem_id", "<?= $mem_id; ?>");
		formData.append("small", small);
		formData.append("symbol", symb);
		formData.append("market", market);
		$.ajax({
			url: '../../ops/adminauth',
			type: 'POST',
			data: formData,
			beforeSend: function() {
				$('#errorshowse').html("Adding Trade <span class='fas fa-1x fa-spinner fa-spin'></span>").show();
			},
			success: function(data) {
				if (data == "success") {
					$("#errorshowse").html("Trade Added Successfully").show();
					setTimeout(function() {
						location.reload();
					}, 3000);
				} else {
					$("#errorshowse").html(data).show();
					setTimeout(function() {
						$('#errorshowse').hide();
					}, 6000);
				}
			},
			cache: false,
			error: function() {
				$('#errorshows').html("An error has occured!!").show();
				setTimeout(function() {
					$('#errorshows').hide();
				}, 6000);
			},
			contentType: false,
			processData: false
		});
	});

	$("form#bonusForm").submit(function(e) {
		e.preventDefault();
		var formData = new FormData(this);
		var request = "addBonus";
		var mem_id = "<?= $mem_id; ?>";
		formData.append('request', request);
		formData.append('mem_id', mem_id);
		$.ajax({
			url: '../../ops/adminauth',
			type: 'POST',
			data: formData,
			beforeSend: function() {
				$('#errorshowsb').html("Sending <span class='fas fa-1x fa-spinner fa-spin'></span>").fadeIn();
			},
			success: function(data) {
				if (data == "success") {
					$('#errorshowsb').html("<span class='fas fa-check-circle'></span> Bonus sent successfully").fadeIn();
					setTimeout(function() {
						location.reload();
					}, 3000)
				} else {
					$("#errorshowsb").html("<span class='fas fa-exclamation-triangle'></span> " + data).fadeIn();
				}
			},
			cache: false,
			error: function(err) {
				$('#errorshowsb').html("<span class='fas fa-exclamation-triangle'></span> An error has occured!!" + err).fadeIn();
			},
			contentType: false,
			processData: false
		});
	});

	$("form#witStatForm").submit(function(e) {
		e.preventDefault();
		var formData = new FormData(this);
		var request = "updWitStat";
		var mem_id = "<?= $mem_id; ?>";
		formData.append('request', request);
		formData.append('mem_id', mem_id);
		$.ajax({
			url: '../../ops/adminauth',
			type: 'POST',
			data: formData,
			beforeSend: function() {
				$('#errorshowsW').html("Updating <span class='fas fa-1x fa-spinner fa-spin'></span>").fadeIn();
			},
			success: function(data) {
				if (data == "success") {
					$('#errorshowsW').html("<span class='fas fa-check-circle'></span> Withdrawal status updated successfully").fadeIn();
					setTimeout(function() {
						location.reload();
					}, 3000)
				} else {
					$("#errorshowsW").html("<span class='fas fa-exclamation-triangle'></span> " + data).fadeIn();
				}
			},
			cache: false,
			error: function(err) {
				$('#errorshowsW').html("<span class='fas fa-exclamation-triangle'></span> An error has occured!!" + err).fadeIn();
			},
			contentType: false,
			processData: false
		});
	});
</script>