<?php
include('header.php');

$error = $_GET['error'];

$title = "";
$subtitle = "";

switch ($error) {
	case '404':
		$title = "Sorry! Page Not Found";
		$subtitle = "Page you are looking for counld not be found";
		break;
	case '403':
		$title = "Error! Access Forbidden";
		$subtitle = "You do not have access to this page.";
		break;
	case '401':
		$title = "Authorization Failed!";
		$subtitle = "Sorry! you do not have authorization to access this page.";
		break;
	case '400':
		$title = "Sorry! Bad Request";
		$subtitle = "The Browser cannot understand your request. Please clear browser cache or reconnect your internet connection and try again.";
		break;
	case '500':
		$title = "Internal Server Error!";
		$subtitle = "Internal server error. It seems the page is down, try refreshing page or clear browser cache.";
		break;
	case '503':
		$title = "Service Unavailable!";
		$subtitle = "The webserver is unable to process your request at the moment. Please try again later.";
		break;

	default:
		$title = "Sorry! Page Not Found";
		$subtitle = "Page you are looking for counld not be found";
		break;
}
?>
<title>Error <?= $error; ?></title>
<div class="fugu-breadcrumb-section">
    <div class="container">
        <div class="breadcrumbs">
            <h1 class="wow fadeInUpX" data-wow-delay="0s">Error <?= $error; ?></h1>
            <nav aria-label="breadcrumb" class="wow fadeInUpX" data-wow-delay="0.15s">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href='./'>Home</a></li>
                    <li class="breadcrumb-item active" aria-current="page"> Error <?= $error; ?></li>
                </ol>
            </nav>
        </div>

    </div>
    <div class="fugu-shape8">
        <img src="assets/images/shape/shape7.png" alt="">
    </div>
    <div class="fugu-shape9">
        <img src="assets/images/shape/shape8.png" alt="">
    </div>
</div>
<!-- End breadcrumb -->
<div class="fugu-about-section">
	<div class="">
		<div class="card">
			<div class="card-body px-5 lh-lg">
				<center>
					<img src="./assets/images/favicon.png" class="img-fluid">
				</center>
				<h3 class="text-center display-6 fw-bolder mb-4">Error <?= $error; ?></h3>
				<h5 class="text-center fw-bold"><?= $title; ?></h5>
				<p class="text-center"><?= $subtitle; ?></p>
				<div class="col-md-7 text-center me-auto ms-auto">
					<a href="javascript:history.back();" class="btn btn-sm btn-primary"><i class="fas fa-arrow-left"></i> Go Back</a>
				</div>
			</div>
		</div>
	</div>
</div>

<?php include('footer.php'); ?>