<?php include("header.php");

if (!isset($_GET["mem_id"]) || !isset($_GET['token'])) {
    header("Location: ./signin");
} else {
    $mem_id = filter_var(htmlentities($_GET['mem_id']), FILTER_UNSAFE_RAW);
    $token = filter_var(htmlentities($_GET['token']), FILTER_UNSAFE_RAW);

    $getuser = $db_conn->prepare("SELECT token FROM members WHERE mem_id = :mem_id AND token = :token");
    $getuser->bindParam(":mem_id", $mem_id, PDO::PARAM_STR);
    $getuser->bindParam(":token", $token, PDO::PARAM_STR);
    $getuser->execute();

    $status = 1;
    $message = "";
    $newhash = md5($mem_id . "" . mt_rand());
    if ($getuser->rowCount() < 1) {
        $message = "Email Verification failed!";
    } else {
        $updateHash = $db_conn->prepare("UPDATE members SET token = :newhash WHERE mem_id = :mem_id");
        $updateHash->bindParam(":newhash", $newhash, PDO::PARAM_STR);
        $updateHash->bindParam(":mem_id", $mem_id, PDO::PARAM_STR);
        if ($updateHash->execute()) {
            $updVer = $db_conn->prepare("UPDATE verifications SET email = :status WHERE mem_id = :mem_id");
            $updVer->bindParam(":status", $status, PDO::PARAM_STR);
            $updVer->bindParam(":mem_id", $mem_id, PDO::PARAM_STR);
            if($updVer->execute()){
                session_destroy();
                session_unset();
                $message = "Email address has been verified successfully";
            } else {
                $message = "An error has occured verifying your email address";
            }
        } else {
            $update = $db_conn->prepare("UPDATE members SET token = :token WHERE mem_id = :mem_id");
            $update->bindParam(":token", $token, PDO::PARAM_STR);
            $update->bindParam(":mem_id", $mem_id, PDO::PARAM_STR);
            $update->execute();
            $message = "There was an error verifying your email address";
        }
    }
}

?>
<title>Email Verification</title>
<div class="fugu-breadcrumb-section">
    <div class="container">
        <div class="breadcrumbs">
            <h1 class="wow fadeInUpX" data-wow-delay="0s">Email Verification</h1>
            <nav aria-label="breadcrumb" class="wow fadeInUpX" data-wow-delay="0.15s">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href='./'>Home</a></li>
                    <li class="breadcrumb-item active" aria-current="page"> Email Verification</li>
                </ol>
            </nav>
        </div>

    </div>
    <div class="fugu-shape8">
        <img src="assets/images/shape/shape7.png" alt="">
    </div>
    <div class="fugu-shape9">
        <img src="assets/images/shape/shape8.png" alt="">
    </div>
</div>
<!-- End breadcrumb -->
<div class="fugu-about-section">
    <div class="container">
        <p class="alert alert-warning text-center"><?= $message; ?></p>
    </div>
</div>
<!-- End -->
<?php include("footer.php"); ?>
<script>
    <?php if ($message == "Email address has been verified successfully") { ?>
        setTimeout(' window.location.href = "./signin"; ', 5000);
    <?php } ?>
</script>